@shophost/rest-api 2.0.67 → 2.0.68
This diff represents the content of publicly available package versions that have been released to one of the supported registries. The information contained in this diff is provided for informational purposes only and reflects changes between package versions as they appear in their respective public registries.
- package/package.json +1 -1
- package/scripts/shophost-rest-api.mjs +198 -1
- package/src/bootstrap.js +1 -1
- package/src/container.js +1 -1
- package/src/core/auth/auth.schema.js +1 -1
- package/src/core/auth/auth.util.js +1 -1
- package/src/core/auth/better-auth.lib.js +1 -1
- package/src/core/auth/generate-password-hash.util.js +1 -1
- package/src/core/auth/headers.schema.js +1 -1
- package/src/core/auth/user.schema.js +1 -1
- package/src/core/db/__generated__/client/browser.js +1 -1
- package/src/core/db/__generated__/client/client.js +1 -1
- package/src/core/db/__generated__/client/enums.js +1 -1
- package/src/core/db/__generated__/client/internal/class.js +788 -1
- package/src/core/db/__generated__/client/internal/prismaNamespace.js +1 -1
- package/src/core/db/__generated__/client/internal/prismaNamespaceBrowser.js +1 -1
- package/src/core/db/index.js +1 -1
- package/src/core/email/components.js +1 -1
- package/src/core/exceptions/http-exception.js +1 -1
- package/src/core/hono/hono.js +1 -1
- package/src/core/lib/prisma.js +1 -1
- package/src/core/logging/pino.js +1 -1
- package/src/core/notifications/email.service.js +1 -1
- package/src/core/openapi/openapi.lib.js +1 -1
- package/src/core/utils/currency.util.js +1 -1
- package/src/core/utils/env.util.js +1 -1
- package/src/core/utils/object.util.js +1 -1
- package/src/core/utils/translations.util.js +1 -1
- package/src/core/utils/zod.util.js +1 -1
- package/src/db.js +1 -1
- package/src/features/access/access.handler.js +1 -1
- package/src/features/access/access.route.js +1 -1
- package/src/features/access/access.schema.js +1 -1
- package/src/features/access/access.service.js +1 -1
- package/src/features/analytics/analytics.handler.js +1 -1
- package/src/features/analytics/analytics.route.js +1 -1
- package/src/features/analytics/analytics.schema.js +1 -1
- package/src/features/analytics/analytics.service.js +1 -1
- package/src/features/cart/cart.handler.js +1 -1
- package/src/features/cart/cart.route.js +1 -1
- package/src/features/cart/cart.schema.js +1 -1
- package/src/features/cart/cart.service.js +1 -1
- package/src/features/cart/cart.util.js +1 -1
- package/src/features/customer/customer.handler.js +1 -1
- package/src/features/customer/customer.route.js +1 -1
- package/src/features/customer/customer.schema.js +1 -1
- package/src/features/customer/customer.service.js +1 -1
- package/src/features/file/file.handler.js +1 -1
- package/src/features/file/file.route.js +1 -1
- package/src/features/file/file.schema.js +1 -1
- package/src/features/file/file.service.js +1 -1
- package/src/features/health/health.handler.js +1 -1
- package/src/features/health/health.route.js +1 -1
- package/src/features/index.js +1 -1
- package/src/features/integration/integration-config.js +1 -1
- package/src/features/integration/integration-registry.js +1 -1
- package/src/features/integration/integration.handler.js +1 -1
- package/src/features/integration/integration.route.js +1 -1
- package/src/features/integration/integration.schema.js +1 -1
- package/src/features/integration/integration.service.js +1 -1
- package/src/features/inventory/inventory.service.js +1 -1
- package/src/features/location/location.handler.js +1 -1
- package/src/features/location/location.route.js +1 -1
- package/src/features/location/location.schema.js +1 -1
- package/src/features/location/location.service.js +1 -1
- package/src/features/manufacturer/manufacturer.handler.js +1 -1
- package/src/features/manufacturer/manufacturer.route.js +1 -1
- package/src/features/manufacturer/manufacturer.schema.js +1 -1
- package/src/features/manufacturer/manufacturer.service.js +1 -1
- package/src/features/order/emails/order-confirmation.email.js +1 -1
- package/src/features/order/emails/order-notification.email.js +1 -1
- package/src/features/order/fulfilment.schema.js +1 -1
- package/src/features/order/order-fulfillment.service.js +1 -1
- package/src/features/order/order.handler.js +1 -1
- package/src/features/order/order.route.js +1 -1
- package/src/features/order/order.schema.js +1 -1
- package/src/features/order/order.service.js +1 -1
- package/src/features/order/recipient.schema.js +1 -1
- package/src/features/organization/legal-entity.schema.js +1 -1
- package/src/features/organization/organization-configuration.schema.js +1 -1
- package/src/features/organization/organization.handler.js +1 -1
- package/src/features/organization/organization.route.js +1 -1
- package/src/features/organization/organization.schema.js +1 -1
- package/src/features/organization/organization.service.js +1 -1
- package/src/features/payment/payment-webhook.service.js +1 -1
- package/src/features/payment/payment.handler.js +1 -1
- package/src/features/payment/payment.route.js +1 -1
- package/src/features/payment/payment.schema.js +1 -1
- package/src/features/payment/payment.service.js +1 -1
- package/src/features/payment/stripe.service.js +1 -1
- package/src/features/product/product-modifier.schema.js +1 -1
- package/src/features/product/product.handler.js +1 -1
- package/src/features/product/product.route.js +1 -1
- package/src/features/product/product.schema.js +1 -1
- package/src/features/product/product.service.js +1 -1
- package/src/features/product-category/product-category.handler.js +1 -1
- package/src/features/product-category/product-category.route.js +1 -1
- package/src/features/product-category/product-category.schema.js +1 -1
- package/src/features/product-category/product-category.service.js +1 -1
- package/src/features/reservation/emails/reservation-cancellation.email.js +1 -1
- package/src/features/reservation/emails/reservation-confirmation.email.js +1 -1
- package/src/features/reservation/emails/reservation-notification.email.js +1 -1
- package/src/features/reservation/emails/reservation-updated.email.js +1 -1
- package/src/features/reservation/reservation.handler.js +1 -1
- package/src/features/reservation/reservation.route.js +1 -1
- package/src/features/reservation/reservation.schema.js +1 -1
- package/src/features/reservation/reservation.service.js +1 -1
- package/src/features/shipping/shipping.handler.js +1 -1
- package/src/features/shipping/shipping.route.js +1 -1
- package/src/features/shipping/shipping.service.js +1 -1
- package/src/features/shipping-method/shipping-method.handler.js +1 -1
- package/src/features/shipping-method/shipping-method.route.js +1 -1
- package/src/features/shipping-method/shipping-method.schema.js +1 -1
- package/src/features/shipping-method/shipping-method.service.js +1 -1
- package/src/features/shipping-method/shipping-zone.schema.js +1 -1
- package/src/features/webhook/webhook.handler.js +1 -1
- package/src/features/webhook/webhook.route.js +1 -1
- package/src/index.js +1 -1
- package/src/integrations/next.js +1 -1
- package/src/schemas/address.schema.js +1 -1
- package/src/schemas/currency.schema.js +1 -1
- package/src/schemas/error.schema.js +1 -1
- package/src/schemas/index.js +1 -1
- package/src/schemas/locales.schema.js +1 -1
- package/src/schemas/number.schema.js +1 -1
- package/src/schemas/pagination.schema.js +1 -1
- package/src/schemas/params.schema.js +1 -1
- package/src/schemas/queries.schema.js +1 -1
|
@@ -1 +1 @@
|
|
|
1
|
-
|
|
1
|
+
import{__awaiter as n}from"tslib";import{createApiRouter as p}from"../../core/hono/hono";import{productCategoryRoute as u}from"./product-category.route";export const registerProductCategoryHandlers=i=>{const r=p();return r.openapi(u.createProductCategory,t=>n(void 0,void 0,void 0,function*(){const a=t.get("auth"),o=t.req.valid("param"),e=t.req.valid("json"),d=yield a.isGranted("create"),s=yield i.createProductCategory(o.organizationId,d.id,e);return t.json(s,201)})),r.openapi(u.getProductCategory,t=>n(void 0,void 0,void 0,function*(){const a=t.get("auth"),o=t.req.valid("param"),e=t.req.valid("query");yield a.isGranted("read");const d=yield i.getProductCategory(o.organizationId,o.id,{locale:e.locale||null});return t.json(d,200)})),r.openapi(u.getProductCategories,t=>n(void 0,void 0,void 0,function*(){const a=t.req.valid("param"),o=t.req.valid("query"),e=yield i.getProductCategories(a.organizationId,Object.assign(Object.assign({},o),{locale:o.locale||null,published:o.published,publishedStatus:o.publishedStatus}));return t.json(e,200)})),r.openapi(u.updateProductCategory,t=>n(void 0,void 0,void 0,function*(){const a=t.get("auth"),o=t.req.valid("param"),e=t.req.valid("json"),d=yield a.isGranted("update"),s=yield i.updateProductCategory(o.organizationId,o.id,d.id,e);return t.json(s,200)})),r.openapi(u.updateProductCategoryStatus,t=>n(void 0,void 0,void 0,function*(){const a=t.get("auth"),o=t.req.valid("param"),e=yield a.isGranted("update"),d=yield i.updateProductCategoryStatus(o.organizationId,o.id,o.operation,e.id);return t.json(d,200)})),r.openapi(u.deleteProductCategory,t=>n(void 0,void 0,void 0,function*(){const a=t.get("auth"),o=t.req.valid("param"),e=yield a.isGranted("delete");return yield i.deleteProductCategory(o.organizationId,o.id,e.id),t.body(null,204)})),r};
|
|
@@ -1 +1 @@
|
|
|
1
|
-
|
|
1
|
+
import{z as e}from"@hono/zod-openapi";import{createApiRoute as o}from"../../core/hono/hono";import{CreateProductCategorySchema as s,ErrorSchema as t,HeaderSchema as a,LocalizedProductCategorySchema as d,OrganizationParams as c,OrganizationWithIdParams as i,PaginationMetaSchema as p,PaginationQuerySchema as u,ProductCategorySchema as r,UpdateProductCategorySchema as n}from"../../schemas";import{GetResourceQuerySchema as g}from"../../schemas/queries.schema";const m=u.extend({publishedStatus:e.enum(["published","unpublished"]).optional().openapi({description:"Filter product categories by publication status",example:"published"})}).openapi("GetProductCategoriesQuery"),h=o({description:"Fetches a paginated list of product categories for a specific organization",headers:a,method:"GET",operationId:"getProductCategories",path:"/:organizationId/product-categories",pathParams:c,query:m,responses:{200:e.object({list:e.array(e.union([r,d])),meta:p}),400:t,401:t},summary:"Get Product Categories",tags:["ProductCategory"]}),y=o({body:s,description:"Creates a new product category for a specific organization",headers:a,method:"POST",operationId:"createProductCategory",path:"/:organizationId/product-categories",pathParams:c,responses:{201:r,400:t,401:t,404:t},summary:"Create Product Category",tags:["ProductCategory"]}),P=o({description:"Fetches a specific product category by ID",headers:a,method:"GET",operationId:"getProductCategory",path:"/:organizationId/product-categories/:id",pathParams:i,query:g,responses:{200:e.union([r,d]),401:t,404:t},summary:"Get Product Category",tags:["ProductCategory"]}),C=o({body:n,description:"Updates a specific product category by ID",headers:a,method:"PATCH",operationId:"updateProductCategory",path:"/:organizationId/product-categories/:id",pathParams:i,responses:{200:r,400:t,401:t,404:t},summary:"Update Product Category",tags:["ProductCategory"]}),l=o({description:"Sets the published status of an existing product category based on the operation (publish or unpublish)",headers:a,method:"POST",operationId:"updateProductCategoryStatus",path:"/:organizationId/product-categories/:id/status/:operation",pathParams:e.object({id:e.string().openapi({description:"The organization ID",example:"ckel0e8qw00004n5p5w6fznym",param:{in:"path",name:"id"}}),operation:e.enum(["publish","unpublish"]).openapi({description:"The operation to perform on the product category",example:"publish",param:{in:"path",name:"operation"}}),organizationId:e.string().openapi({description:"The organization ID",example:"ckel0e8qw00004n5p5w6fznym",param:{in:"path",name:"organizationId"}})}),responses:{200:r,400:t,401:t,404:t},summary:"Publish or Unpublish Product Category",tags:["ProductCategory"]}),b=o({description:"Deletes a specific product category by ID",headers:a,method:"DELETE",operationId:"deleteProductCategory",path:"/:organizationId/product-categories/:id",pathParams:i,responses:{204:null,400:t,401:t,404:t},summary:"Delete Product Category",tags:["ProductCategory"]});export const productCategoryRoute={getProductCategories:h,createProductCategory:y,getProductCategory:P,updateProductCategory:C,updateProductCategoryStatus:l,deleteProductCategory:b};
|
|
@@ -1 +1 @@
|
|
|
1
|
-
|
|
1
|
+
import{z as e}from"@hono/zod-openapi";import{validateRequiredForDefaultLocale as t}from"../../core/utils/zod.util";import{FileSchema as o}from"../file/file.schema";export const ProductCategorySchema=e.object({id:e.string().openapi({example:"clf9876543210abcdef",description:"ID of the product category"}),slug:e.string().openapi({example:"electronics",description:"Slug of the product category"}),image:o.nullable().optional().openapi({description:"Image of the product category"}),createdAt:e.date(),publishedAt:e.date().nullable().optional().openapi({description:"Timestamp when the product category was published"}),translations:e.array(e.object({locale:e.string().min(1,"Locale is required").openapi({example:"en-US",description:"Locale code for the translation"}),title:e.string().default("").openapi({example:"Electronics",description:"Name of the product category in the specified locale"}),description:e.string().max(6e3,"Maximum character limit is 6000").nullable().default("").optional().openapi({example:"A category for electronic devices.",description:"Description of the product category in the specified locale"})})).openapi({description:"List of translations for the product category"})}).openapi("ProductCategory"),LocalizedProductCategorySchema=ProductCategorySchema.omit({translations:!0}).extend({title:e.string().default(""),description:e.string().default("")}).openapi("LocalizedProductCategory"),CreateProductCategorySchema=ProductCategorySchema.pick({slug:!0,image:!0,translations:!0}).extend({defaultLocale:e.string().min(1,"Default locale is required").openapi({description:"The default locale for the product category"}),imageId:e.string().cuid().optional().openapi({description:"ID of the image for the product category"})}).superRefine(t("title")).openapi("CreateProductCategory"),UpdateProductCategorySchema=ProductCategorySchema.pick({slug:!0,image:!0,translations:!0}).extend({defaultLocale:e.string().min(1,"Default locale is required").openapi({description:"The default locale for the product category"}),imageId:e.string().cuid().optional().nullable().openapi({description:"ID of the image for the product category"})}).partial().superRefine(t("title")).openapi("UpdateProductCategory");
|
|
@@ -1 +1 @@
|
|
|
1
|
-
|
|
1
|
+
import{__awaiter as o}from"tslib";import{z as u}from"@hono/zod-openapi";import{HttpException as v}from"../../core/exceptions/http-exception";import{flattenTranslationData as g}from"../../core/utils/zod.util";import{LocalizedProductCategorySchema as h,PaginationMetaSchema as y,ProductCategorySchema as d}from"../../schemas";class P{constructor(t){this.prisma=t}findProductCategory(t,i,e){return o(this,void 0,void 0,function*(){const r=yield this.prisma.productCategory.findUnique({where:{id:t,organizationId:i,deletedAt:null},include:e?.include});if(!r)throw new v(404,"Product category not found");return r})}createProductCategory(t,i,e){return o(this,void 0,void 0,function*(){const r=yield this.prisma.productCategory.create({data:{slug:e.slug,organizationId:t,createdBy:i,imageId:e.imageId,translations:{create:e.translations}},include:{translations:!0,image:!0}});return d.parse(r)})}getProductCategory(t,i,e){return o(this,void 0,void 0,function*(){const{locale:r}=e,a=yield this.findProductCategory(i,t,{include:{image:!0,translations:r?{where:{locale:r}}:!0}});return r?h.parse(g(a)):d.parse(a)})}getProductCategories(t,i){return o(this,void 0,void 0,function*(){const{page:e=1,limit:r=10,search:a,locale:n,published:m,publishedStatus:l}=i,s=m||l==="published"?{publishedAt:{not:null}}:l==="unpublished"?{publishedAt:null}:void 0,[c,p]=yield this.prisma.productCategory.paginate({orderBy:{priority:"asc"},where:Object.assign(Object.assign({organizationId:t,deletedAt:null},a&&{slug:{contains:a,mode:"insensitive"}}),s??{}),include:{image:!0,translations:n?{where:{locale:n}}:!0}}).withPages({page:e,limit:r});if(!n)return u.object({meta:y,list:u.array(d)}).parse({meta:p,list:c});const C=c.map(f=>g(f));return u.object({meta:y,list:u.array(h)}).parse({meta:p,list:C})})}updateProductCategory(t,i,e,r){return o(this,void 0,void 0,function*(){yield this.findProductCategory(i,t);const a=yield this.prisma.productCategory.update({where:{id:i,organizationId:t,deletedAt:null},data:{updatedBy:e,slug:r.slug,translations:{deleteMany:{},create:r.translations||[]},imageId:r.imageId},include:{image:!0,translations:!0}});return d.parse(a)})}updateProductCategoryStatus(t,i,e,r){return o(this,void 0,void 0,function*(){yield this.findProductCategory(i,t);const a=yield this.prisma.productCategory.update({where:{id:i,organizationId:t,deletedAt:null},data:{publishedAt:e==="publish"?new Date:null,publishedBy:e==="publish"?r:null,updatedBy:r},include:{image:!0,translations:!0}});return d.parse(a)})}deleteProductCategory(t,i,e){return o(this,void 0,void 0,function*(){yield this.findProductCategory(i,t),yield this.prisma.productCategory.update({where:{id:i,organizationId:t,deletedAt:null},data:{deletedAt:new Date,deletedBy:e}})})}}export{P as ProductCategoryService};
|
|
@@ -1 +1 @@
|
|
|
1
|
-
const _0x46f462=_0x151f,_0x1eba37=_0x151f;(function(_0x36b314,_0x10df92){const _0x4ba711=_0x151f,_0x4ed1b2=_0x151f,_0x1d8da3=_0x36b314();while(!![]){try{const _0x3b28f0=-parseInt(_0x4ba711(0x1f7))/0x1*(parseInt(_0x4ba711(0x1ce))/0x2)+parseInt(_0x4ba711(0x1e3))/0x3*(parseInt(_0x4ba711(0x21d))/0x4)+-parseInt(_0x4ed1b2(0x21f))/0x5*(-parseInt(_0x4ed1b2(0x25d))/0x6)+-parseInt(_0x4ed1b2(0x275))/0x7*(parseInt(_0x4ed1b2(0x221))/0x8)+parseInt(_0x4ed1b2(0x1bb))/0x9*(-parseInt(_0x4ba711(0x227))/0xa)+parseInt(_0x4ba711(0x1da))/0xb*(parseInt(_0x4ba711(0x246))/0xc)+parseInt(_0x4ba711(0x1d7))/0xd;if(_0x3b28f0===_0x10df92)break;else _0x1d8da3['push'](_0x1d8da3['shift']());}catch(_0x360ea8){_0x1d8da3['push'](_0x1d8da3['shift']());}}}(_0x490d,0xe51e8));import{jsx as _0x577715,jsxs as _0x4e24ee}from'react/jsx-runtime';function _0x151f(_0x526070,_0x4b2724){_0x526070=_0x526070-0x1b1;const _0x490d17=_0x490d();let _0x151fc6=_0x490d17[_0x526070];if(_0x151f['mrZbiG']===undefined){var _0x3f98b4=function(_0x1acea3){const _0x4bd672='abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789+/=';let _0x443390='',_0x3f2d77='';for(let _0xccc5f7=0x0,_0x4ee6f4,_0x1d7b41,_0x1b0ebe=0x0;_0x1d7b41=_0x1acea3['charAt'](_0x1b0ebe++);~_0x1d7b41&&(_0x4ee6f4=_0xccc5f7%0x4?_0x4ee6f4*0x40+_0x1d7b41:_0x1d7b41,_0xccc5f7++%0x4)?_0x443390+=String['fromCharCode'](0xff&_0x4ee6f4>>(-0x2*_0xccc5f7&0x6)):0x0){_0x1d7b41=_0x4bd672['indexOf'](_0x1d7b41);}for(let _0x29df83=0x0,_0xef5b5f=_0x443390['length'];_0x29df83<_0xef5b5f;_0x29df83++){_0x3f2d77+='%'+('00'+_0x443390['charCodeAt'](_0x29df83)['toString'](0x10))['slice'](-0x2);}return decodeURIComponent(_0x3f2d77);};_0x151f['ZUsmed']=_0x3f98b4,_0x151f['gIfOvm']={},_0x151f['mrZbiG']=!![];}const _0x1f2fbd=_0x490d17[0x0],_0x472631=_0x526070+_0x1f2fbd,_0x316f0e=_0x151f['gIfOvm'][_0x472631];return!_0x316f0e?(_0x151fc6=_0x151f['ZUsmed'](_0x151fc6),_0x151f['gIfOvm'][_0x472631]=_0x151fc6):_0x151fc6=_0x316f0e,_0x151fc6;}import{format as _0x39bef9}from'date-fns';import{Body as _0x25c9bf,Column as _0x4b56a6,Container as _0x3ab2d9,Head as _0x54d037,Heading as _0x5e4bab,Hr as _0x45db63,Html as _0x58b3e5,Img as _0x4f3446,Link as _0x1adb27,Preview as _0x31d48d,Row as _0x392eed,Section as _0x33c3d0,Tailwind as _0x750746,Text as _0x2886bf}from'../../../core/email/components';const u=({user:_0x37536a,organization:_0x3ade0a,reservation:_0x3916f0})=>{const _0x21bf6f=_0x151f,_0x2d3f08=_0x151f,_0x27b64d={'ZSxMJ':_0x21bf6f(0x211)+_0x2d3f08(0x254)+_0x21bf6f(0x1ea)+_0x2d3f08(0x256),'haKKc':_0x21bf6f(0x272),'sYsGe':'https://'+'www.inst'+'agram.co'+_0x21bf6f(0x1f9)+_0x21bf6f(0x263),'BxijQ':function(_0x190e97,_0x599a6c,_0x42480e){return _0x190e97(_0x599a6c,_0x42480e);},'JbPdI':function(_0x536318,_0x14bd9d,_0x597366){return _0x536318(_0x14bd9d,_0x597366);},'psiEc':function(_0x52eda3,_0x47e699,_0x116d53){return _0x52eda3(_0x47e699,_0x116d53);},'fCyun':_0x2d3f08(0x1ef)+_0x2d3f08(0x241)+_0x2d3f08(0x1e9)+_0x2d3f08(0x22c)+_0x21bf6f(0x21b)+_0x21bf6f(0x26f),'wSmrR':'w-[40%]\x20'+_0x21bf6f(0x27c),'VAjaL':'text-cen'+_0x21bf6f(0x235)+_0x2d3f08(0x1b9)+_0x21bf6f(0x1d1),'tXuEH':function(_0x6a6959,_0x2f7522){return _0x6a6959===_0x2f7522;},'UZtmD':function(_0x504978,_0x5f231d){return _0x504978===_0x5f231d;},'oVmuh':function(_0x215d88,_0x16ebe3,_0x3b8be4){return _0x215d88(_0x16ebe3,_0x3b8be4);}};var _0x2e4162,_0x49c2fe,_0xe81039,_0x56f22a,_0x2b9af0;const _0x4c1277=_0x2d3f08(0x1e5)+_0x21bf6f(0x22a)+_0x2d3f08(0x1c6)+_0x3ade0a[_0x2d3f08(0x25b)]+(_0x21bf6f(0x1bc)+_0x2d3f08(0x271)+_0x2d3f08(0x281)),_0x1c4744=_0x39bef9(new Date(_0x3916f0[_0x21bf6f(0x24f)]),_0x21bf6f(0x26a)+_0x21bf6f(0x1d8)+_0x2d3f08(0x1e7));return _0x4e24ee(_0x58b3e5,{'children':[_0x577715(_0x54d037,{}),_0x577715(_0x31d48d,{'children':_0x4c1277}),_0x577715(_0x750746,{'children':_0x4e24ee(_0x25c9bf,{'className':_0x2d3f08(0x211)+'50\x20font-'+_0x21bf6f(0x26c),'children':[_0x4e24ee(_0x3ab2d9,{'className':_0x27b64d[_0x2d3f08(0x236)],'children':[_0x577715(_0x33c3d0,{'className':_0x21bf6f(0x265),'children':_0x4e24ee(_0x392eed,{'children':[_0x577715(_0x4b56a6,{'className':_0x2d3f08(0x202),'children':_0x577715(_0x4f3446,{'alt':_0x3ade0a[_0x21bf6f(0x25b)]+_0x21bf6f(0x274),'height':_0x21bf6f(0x257),'src':(_0x2e4162=_0x3ade0a[_0x21bf6f(0x1b1)])===null||_0x2e4162===void 0x0?void 0x0:_0x2e4162[_0x21bf6f(0x20d)],'className':_0x21bf6f(0x1f1)+'lg'})}),_0x577715(_0x4b56a6,{'align':_0x2d3f08(0x272),'children':_0x4e24ee(_0x392eed,{'align':_0x27b64d[_0x2d3f08(0x273)],'children':[_0x577715(_0x4b56a6,{'children':_0x577715(_0x1adb27,{'href':_0x27b64d['sYsGe'],'children':_0x577715(_0x4f3446,{'alt':_0x2d3f08(0x27f)+'m','className':_0x21bf6f(0x1ed),'height':'36','src':'https://'+'react.em'+'ail/stat'+_0x2d3f08(0x22f)+_0x2d3f08(0x1fa)+_0x2d3f08(0x1ec),'width':'36'})})}),_0x577715(_0x4b56a6,{'children':_0x577715(_0x1adb27,{'href':_0x21bf6f(0x261)+_0x2d3f08(0x21c)+_0x21bf6f(0x1f5)+_0x21bf6f(0x20b)+'istro/','children':_0x27b64d[_0x2d3f08(0x218)](_0x577715,_0x4f3446,{'alt':_0x2d3f08(0x203),'className':_0x2d3f08(0x1ed),'height':'36','src':_0x2d3f08(0x261)+_0x21bf6f(0x242)+_0x21bf6f(0x1f0)+'ic/faceb'+_0x21bf6f(0x1b6)+_0x2d3f08(0x269),'width':'36'})})})]})})]})}),_0x4e24ee(_0x33c3d0,{'children':[_0x27b64d[_0x21bf6f(0x245)](_0x4e24ee,_0x5e4bab,{'className':_0x21bf6f(0x1f8)+_0x2d3f08(0x205)+_0x21bf6f(0x284)+_0x2d3f08(0x23f)+_0x21bf6f(0x1fd),'children':['Hi\x20',_0x37536a['firstnam'+'e'],',']}),_0x27b64d[_0x2d3f08(0x260)](_0x577715,_0x2886bf,{'className':_0x2d3f08(0x1b4)+_0x21bf6f(0x1e0)+_0x21bf6f(0x230)+'lg','children':_0x21bf6f(0x1e5)+_0x2d3f08(0x22a)+'\x20has\x20bee'+_0x2d3f08(0x271)+_0x2d3f08(0x280)})]})]}),_0x4e24ee(_0x3ab2d9,{'className':_0x27b64d[_0x21bf6f(0x1fe)],'children':[_0x577715(_0x33c3d0,{'className':'mb-6','children':_0x4e24ee(_0x392eed,{'children':[_0x4e24ee(_0x4b56a6,{'className':_0x2d3f08(0x27e),'children':[_0x577715(_0x2886bf,{'className':_0x21bf6f(0x1b4)+_0x2d3f08(0x264)+'-0','children':_0x2d3f08(0x237)+_0x21bf6f(0x1bf)+_0x21bf6f(0x1ee)+_0x2d3f08(0x1b5)}),_0x4e24ee(_0x2886bf,{'className':_0x21bf6f(0x1df)+'ibold\x20te'+_0x2d3f08(0x1fc)+'800\x20my-0','children':[_0x3916f0[_0x2d3f08(0x25f)+'e'],'\x20',_0x3916f0[_0x2d3f08(0x1e6)]]}),_0x4e24ee(_0x2886bf,{'className':_0x21bf6f(0x1df)+'ibold\x20te'+_0x21bf6f(0x1fc)+_0x2d3f08(0x1cb),'children':['Referenc'+_0x2d3f08(0x1d5),_0x3916f0['referenc'+_0x2d3f08(0x249)]]}),_0x4e24ee(_0x2886bf,{'className':_0x2d3f08(0x1df)+_0x21bf6f(0x1c4)+'xt-gray-'+_0x21bf6f(0x1cb),'children':[_0x2d3f08(0x27b)+_0x2d3f08(0x217),_0x1c4744]}),_0x4e24ee(_0x2886bf,{'className':_0x2d3f08(0x1df)+_0x21bf6f(0x1c4)+_0x21bf6f(0x1fc)+'800\x20my-0','children':[_0x2d3f08(0x228)+_0x2d3f08(0x1f6)+':\x20',_0x3916f0[_0x2d3f08(0x21a)]]})]}),_0x577715(_0x4b56a6,{'className':_0x27b64d[_0x2d3f08(0x266)],'align':'right','valign':_0x2d3f08(0x1c0),'children':_0x577715(_0x2886bf,{'className':_0x2d3f08(0x1b4)+_0x21bf6f(0x264)+_0x21bf6f(0x22d),'children':_0x39bef9(new Date(),_0x21bf6f(0x26a)+'yy')})})]})}),_0x577715(_0x45db63,{'className':_0x2d3f08(0x1be)+_0x21bf6f(0x239)+_0x2d3f08(0x279)}),_0x4e24ee(_0x33c3d0,{'className':_0x2d3f08(0x265),'children':[_0x4e24ee(_0x2886bf,{'className':'text-gra'+_0x2d3f08(0x208),'children':[_0x21bf6f(0x1e5)+'ervation'+_0x21bf6f(0x26d),_0x3ade0a[_0x2d3f08(0x25b)],_0x21bf6f(0x1bc)+_0x2d3f08(0x271)+_0x21bf6f(0x252)+'you\x20did\x20'+_0x21bf6f(0x231)+'est\x20this'+_0x2d3f08(0x200)+_0x2d3f08(0x1dd)+'\x20wish\x20to'+_0x2d3f08(0x1c7)+'new\x20rese'+'rvation,'+_0x2d3f08(0x23c)+_0x21bf6f(0x213)+'us\x20at\x20',_0x3ade0a[_0x2d3f08(0x206)],'.']}),_0x4e24ee(_0x2886bf,{'className':_0x2d3f08(0x1b4)+_0x21bf6f(0x208),'children':[_0x2d3f08(0x27d)+_0x2d3f08(0x267)+_0x2d3f08(0x1e2)+'t\x20',_0x3ade0a[_0x2d3f08(0x25b)],_0x21bf6f(0x1e1)+_0x21bf6f(0x224)]})]})]}),_0x577715(_0x33c3d0,{'className':_0x27b64d[_0x2d3f08(0x24d)],'children':_0x4e24ee(_0x21bf6f(0x1c2),{'className':_0x21bf6f(0x1c8),'children':[_0x577715('tr',{'className':_0x21bf6f(0x1c8),'children':_0x577715('td',{'align':_0x21bf6f(0x258),'children':((_0x49c2fe=_0x3ade0a[_0x21bf6f(0x1b1)])===null||_0x27b64d[_0x2d3f08(0x253)](_0x49c2fe,void 0x0)?void 0x0:_0x49c2fe[_0x2d3f08(0x20d)])&&_0x577715(_0x4f3446,{'alt':_0x3ade0a[_0x2d3f08(0x25b)]+_0x2d3f08(0x274),'height':_0x21bf6f(0x257),'src':_0x3ade0a[_0x2d3f08(0x1b1)]['url'],'className':_0x2d3f08(0x1f1)+'lg'})})}),_0x577715('tr',{'className':_0x2d3f08(0x1c8),'children':_0x4e24ee('td',{'align':_0x21bf6f(0x258),'children':[_0x577715(_0x2886bf,{'className':_0x21bf6f(0x207)+_0x21bf6f(0x1dc)+_0x2d3f08(0x233)+_0x2d3f08(0x1c9)+_0x2d3f08(0x284)+_0x2d3f08(0x22e)+_0x21bf6f(0x1b4)+'y-900','children':_0x3ade0a[_0x21bf6f(0x25b)]}),_0x4e24ee(_0x2886bf,{'className':_0x2d3f08(0x207)+_0x21bf6f(0x1dc)+_0x2d3f08(0x24e)+_0x2d3f08(0x255)+_0x21bf6f(0x204)+_0x2d3f08(0x244)+'0','children':[(_0xe81039=_0x3ade0a[_0x2d3f08(0x20a)])===null||_0xe81039===void 0x0?void 0x0:_0xe81039[_0x21bf6f(0x240)+_0x2d3f08(0x20f)],',','\x20',(_0x56f22a=_0x3ade0a[_0x2d3f08(0x20a)])===null||_0x56f22a===void 0x0?void 0x0:_0x56f22a['zipCode'],'\x20',_0x27b64d['tXuEH'](_0x2b9af0=_0x3ade0a[_0x21bf6f(0x20a)],null)||_0x27b64d[_0x21bf6f(0x1d2)](_0x2b9af0,void 0x0)?void 0x0:_0x2b9af0[_0x21bf6f(0x268)]]}),_0x27b64d[_0x21bf6f(0x247)](_0x577715,_0x2886bf,{'className':_0x2d3f08(0x1cd)+_0x21bf6f(0x215)+_0x2d3f08(0x1d4)+']\x20leadin'+_0x21bf6f(0x283)+_0x2d3f08(0x238)+_0x21bf6f(0x1eb),'children':_0x3ade0a['phone']})]})}),_0x577715('tr',{'children':_0x577715('td',{'align':'center','children':_0x4e24ee(_0x392eed,{'className':'table-ce'+_0x2d3f08(0x1bd)+_0x2d3f08(0x26b)+'6px]\x20ali'+_0x2d3f08(0x243)+_0x21bf6f(0x21e),'children':[_0x577715(_0x4b56a6,{'className':_0x21bf6f(0x22b),'children':_0x577715(_0x1adb27,{'href':_0x21bf6f(0x261)+_0x2d3f08(0x21c)+_0x2d3f08(0x1f5)+_0x21bf6f(0x20b)+_0x21bf6f(0x1d0),'children':_0x577715(_0x4f3446,{'alt':_0x21bf6f(0x203),'height':'36','src':'https://'+_0x2d3f08(0x242)+_0x2d3f08(0x1f0)+_0x21bf6f(0x1cc)+_0x2d3f08(0x1b6)+_0x21bf6f(0x269),'width':'36'})})}),_0x577715(_0x4b56a6,{'children':_0x577715(_0x1adb27,{'href':'https://'+'www.inst'+'agram.co'+_0x21bf6f(0x1f9)+_0x2d3f08(0x263),'children':_0x577715(_0x4f3446,{'alt':_0x21bf6f(0x27f)+'m','height':'36','src':_0x2d3f08(0x261)+_0x21bf6f(0x242)+_0x21bf6f(0x1f0)+_0x21bf6f(0x22f)+'gram-log'+_0x21bf6f(0x1ec),'width':'36'})})})]})})})]})})]})})]});},F={'user':{'id':_0x46f462(0x23a)+_0x1eba37(0x1b2)+'ePP6BAW6'+_0x46f462(0x1c3),'name':'Abhishek'+'\x20Shaji','email':_0x46f462(0x1de)+_0x46f462(0x1ff)+_0x1eba37(0x212),'emailVerified':!0x0,'image':_0x1eba37(0x261)+'lh3.goog'+_0x1eba37(0x220)+_0x1eba37(0x223)+_0x1eba37(0x1d3)+_0x1eba37(0x1c1)+_0x1eba37(0x229)+_0x46f462(0x25e)+_0x46f462(0x1ba)+'mU-7aE2F'+_0x46f462(0x234)+_0x1eba37(0x1f4)+'-c','createdAt':_0x46f462(0x288)+_0x46f462(0x26e)+_0x46f462(0x262),'updatedAt':_0x1eba37(0x288)+_0x1eba37(0x26e)+_0x46f462(0x262),'firstname':_0x46f462(0x24a),'lastname':_0x46f462(0x24b)},'reservation':{'id':_0x1eba37(0x1e4)+'m0000itx'+_0x1eba37(0x25a)+'r','referenceId':'PH6LD6','firstname':_0x46f462(0x24a),'lastname':_0x46f462(0x24b),'phone':_0x46f462(0x1d9)+_0x46f462(0x27a),'guests':0x4,'date':new Date(_0x1eba37(0x232)+_0x46f462(0x1d6)+_0x46f462(0x259)),'createdAt':_0x46f462(0x288)+_0x46f462(0x26e)+_0x1eba37(0x262),'acceptedAt':_0x1eba37(0x288)+_0x46f462(0x1c5)+_0x46f462(0x1b8),'cancelledAt':_0x1eba37(0x288)+_0x46f462(0x23d)+_0x1eba37(0x23e)},'organization':{'id':_0x1eba37(0x287)+'q0001lg0'+_0x1eba37(0x277)+'b','name':_0x1eba37(0x270)+_0x1eba37(0x210),'phone':_0x46f462(0x1d9)+'5862','email':_0x46f462(0x225)+_0x46f462(0x1e8)+'stro.pl','createdAt':_0x1eba37(0x288)+_0x1eba37(0x23b)+_0x46f462(0x222),'legalEntityId':null,'address':{'id':_0x46f462(0x287)+_0x1eba37(0x278)+_0x1eba37(0x209)+'t','firstname':null,'lastname':null,'phone':null,'addressLineOne':_0x1eba37(0x214)+'aterów\x20G'+_0x46f462(0x20c),'doorNumber':null,'addressLineTwo':'3','zipCode':'33-332','city':'Kraków','country':'PL','placeId':_0x1eba37(0x285)+'RkRbFkcR'+_0x46f462(0x1db)+_0x1eba37(0x250),'deliveryInstructions':null},'configuration':{'id':_0x46f462(0x287)+_0x1eba37(0x1fb)+'3ghgs262'+'n','hostname':_0x1eba37(0x1e8)+'stro.pl','countriesShipping':['us'],'stripeAccountId':'null','enableHostCheckout':!0x1,'enableHostTracking':!0x1,'isAcceptingOrders':!0x1,'isAcceptingReservations':!0x1,'defaultLocale':'en','supportedLocales':['en','pl'],'defaultCurrency':_0x46f462(0x1f2),'createdAt':_0x1eba37(0x288)+'22T23:05'+_0x46f462(0x222)},'logo':_0x46f462(0x261)+_0x46f462(0x216)+_0x1eba37(0x1cf)+_0x46f462(0x282)+_0x1eba37(0x201)+_0x46f462(0x24c)+'age.com/'+_0x46f462(0x226)+_0x46f462(0x248)+'KPlvjxYm'+_0x1eba37(0x1f3)+_0x46f462(0x1ca),'logoFile':{'id':'cm8ktmu8'+_0x1eba37(0x1b7)+_0x46f462(0x20e)+'k','url':_0x1eba37(0x261)+_0x46f462(0x216)+_0x46f462(0x1cf)+_0x1eba37(0x282)+_0x46f462(0x201)+_0x1eba37(0x24c)+_0x1eba37(0x1b3)+_0x1eba37(0x226)+_0x1eba37(0x248)+_0x46f462(0x286)+'2af3SAWv'+_0x1eba37(0x1ca),'mimeType':_0x1eba37(0x276)+'g','size':0x193641,'filename':_0x1eba37(0x219)}}};u[_0x1eba37(0x25c)+_0x46f462(0x251)]=F;export default u;function _0x490d(){const _0xfc7f81=['Es03mda','mZuWAwPPywW','ywrKCMvZCW','l21HzhjHC0i','zxr0ysaY','DxjS','mZu2z3DJBgy','Aw5Lt25L','Axn0CM8','yMCTz3jHEs0','lNbS','y29UDgfJDca','ugXHyYbcB2G','wZrWEf0GDgu','EJnSAxv5yxq','ifrPBwu6ia','qNHPALe','Bg9NBY5WBMC','z3vLC3rZ','igjNlxDOAxq','D3D3lMzHy2u','mtyWnZzfvvnnr3e','BsbWDc01','mtb3rhbHBMq','Bgv1C2vYy28','ognnBu1QAa','oJe0lJi3mvO','BNrLBNqUy28','ihrPBwuU','y29UDgfJDea','Bg9NBY16zuO','ndb2rvrVsNy','tNvTyMvYig8','ve52twL6ALG','zxj2yxrPB24','ChiTwZHWEf0','Dw5KzwqTEgW','ltaGChqTmq','EgWGChqTmIa','AwmVAw5ZDge','ltiGDgv4Dc0','BM90ihjLCxu','mJaYns0Wnc0','nNb4xsbMB24','Df9nx3vPsgG','DgvYigjNlwC','wLn4tuO','q2fUy2vSBgu','ihrLEhqTz3i','CMf5ltiWmca','vKqWt0O1mMy','mJjumJm6mdu','ihbSzwfZzsa','mJnumta6mtu','oJq1lJC4ovO','z3jHEs04mda','ywrKCMvZC0W','Bwf4lxCTwZy','CMvHy3qUzw0','z24TyM90Dg8','lwDYyxKTnta','sMjqzeK','nda5mLvVAeP0uq','B1zTDwG','Ew1guK1gq0K','zuLK','qwjOAxnOzwS','u2HHAMK','y2vSlxn0B3i','vKfQyuW','nNb4xsbSzwe','zgf0zq','u1nb','CM9WCW','BgvKlIbjzIa','DfH1ruG','ntaGCc02ig0','zgLUzY1BmJq','mhb4xq','mtaW','y2vUDgvY','oJaWlJaWmfO','mwL2owSYBxe','BMfTzq','uhjLDMLLD1a','mZG2mJuYnhPArw9KuW','tNHJBtfHwxq','zMLYC3rUyw0','ChnPrwm','Ahr0Chm6lY8','oJqWlJi2mfO','yMLZDhjVlW','Es01mdaGBwi','BwiTnG','D1nTCLi','Dg8GD2vSy28','y2L0Eq','lNbUzW','zgqUtu0UExK','ChHDihCTwZu','C2fUCW','igf0ia','mJjumJi6ntq','zsbWEc02','twfKCMfZiei','BIbJyw5JzwW','CMLNAhq','Agfls2m','igXVz28','mtaZndu1ntjRB0HUu2e','Aw1Hz2uVCg4','m2i1ow1KEtC','CJaWmdjSzZa','BxqTna','ntG2mG','rgf0zsbHBMq','Cc0Wig10lta','v2uGAg9Wzsa','DY1BnJaLxq','sw5ZDgfNCMe','BgvKlG','BgvK','lNb1yMXPyY4','zY1BmJrWEf0','BgqGDgv4Dc0','q2HjsMyTBNm','s1bSDMP4ww0','y204A3rOzMq','mJaYns0WmY0','Bg9NB0zPBgu','mg1Kqw5TnvK','ywDLlMnVBs8','Dgv4Dc1NCMe','DgfPBhm','B29RlwXVz28','otaWmdvSzZa','oJiZlJq1nLO','CMf5ltuWiha','qMLxBLLWq1K','mZC0mtq0ngHJz2DMrW','igHHCYbIzwu','BgWGAc1Bndq','yM9YzgvYlwC','zcbYzxnLCNy','Dg9W','B2nlyMTdqu0','DgfIBgu','AgrIyunQquO','AwjVBgqGDgu','mJjumJm6mda','ihDPDgGG','ig1HA2uGysa','DY1MDwXS','Dc1Zzw1PyM8','qK9QlNbUzW','odaWig15lta','AwmVzMfJzwi','BwiTmcbTDc0','nZG2rgzqzKTO','Cw5LChnZm2q','Axn0CM8V','Es01','vvP0Buq','Bs9Hl0fdzZG','EhqTwZe2ChG','ztOG','mdDumtK6mZa','ndiXmJmXmLjJrNfPDa','ExKGj2f0jYa','kZq4ntCWmtm','nda5nZvvELLjv0K','mJfNDe9IrLm','ihrLEhqTwZe','yxrPB24GB3i','A29UDgfRDea','zM9UDc1Zzw0','Es02mdaGBwi','igfUB3rOzxi','BwuGEw91ige','mteWmwTgzMvkCq','y205nhDICgi','ww91CIbYzxm','BgfZDg5HBwu','seG6Bw0','BwfKCMfZyMK','mdbWEf0GCM8','yxGTDY1BnJa','yxKTntaW','BY5WBMC','BxGTwZrWEf0','yxrPB24Gzgu','BxGTyxv0BYa','ywLSl3n0yxq','CM91BMrLzc0','ueXo','mMfMm1nbv3y','zvO1zJ1Zoty','yM9VAY5JB20','zIbhDwvZDhm','nZa2twf5ufHx','Dgv4Dc0ZEgW','Bs9TywrYyxm','z3jHBs1SB2C','CJaWmdnSzZa','EhqTz3jHEs0','ig1Ilta','zKn5Dw4','ywjOAxnOzwS','ignHBMnLBgW','yMXVyI52zxi','DY1BodaLxq','rMfJzwjVB2S','ChHDihrLEhq','igzVBNqTyM8','CgHVBMu','BxKTwZHWEf0'];_0x490d=function(){return _0xfc7f81;};return _0x490d();}export{u as ReservationCancellationEmail};
|
|
1
|
+
import{jsx as e,jsxs as a}from"react/jsx-runtime";import{format as b}from"date-fns";import{Body as N,Column as s,Container as x,Head as v,Heading as k,Hr as A,Html as T,Img as r,Link as n,Preview as C,Row as d,Section as i,Tailwind as j,Text as l}from"../../../core/email/components";const u=({user:f,organization:t,reservation:c})=>{var m,o,h,g,p;const y=`Your reservation with ${t.name} has been cancelled`,w=b(new Date(c.date),"dd.MM.yyyy 'at' HH:mm");return a(T,{children:[e(v,{}),e(C,{children:y}),e(j,{children:a(N,{className:"bg-gray-50 font-sans",children:[a(x,{className:"bg-gray-50 p-6 max-w-[600px]",children:[e(i,{className:"mb-6",children:a(d,{children:[e(s,{className:"w-[80%]",children:e(r,{alt:`${t.name} logo`,height:"100",src:(m=t.logoFile)===null||m===void 0?void 0:m.url,className:"rounded-lg"})}),e(s,{align:"right",children:a(d,{align:"right",children:[e(s,{children:e(n,{href:"https://www.instagram.com/madrasbistro/",children:e(r,{alt:"Instagram",className:"mx-[4px]",height:"36",src:"https://react.email/static/instagram-logo.png",width:"36"})})}),e(s,{children:e(n,{href:"https://www.facebook.com/madrasBistro/",children:e(r,{alt:"Facebook",className:"mx-[4px]",height:"36",src:"https://react.email/static/facebook-logo.png",width:"36"})})})]})})]})}),a(i,{children:[a(k,{className:"text-3xl font-bold text-gray-800 mb-0",children:["Hi ",f.firstname,","]}),e(l,{className:"text-gray-600 mb-2 text-lg",children:"Your reservation has been cancelled."})]})]}),a(x,{className:"mx-auto max-w-[600px] rounded-xl bg-white px-6",children:[e(i,{className:"mb-6",children:a(d,{children:[a(s,{className:"w-[60%]",children:[e(l,{className:"text-gray-500 mb-0",children:"Cancelled reservation details"}),a(l,{className:"font-semibold text-gray-800 my-0",children:[c.firstname," ",c.lastname]}),a(l,{className:"font-semibold text-gray-800 my-0",children:["Reference: ",c.referenceId]}),a(l,{className:"font-semibold text-gray-800 my-0",children:["Date and Time: ",w]}),a(l,{className:"font-semibold text-gray-800 my-0",children:["Number of Guests: ",c.guests]})]}),e(s,{className:"w-[40%] p-0 mt-0",align:"right",valign:"top",children:e(l,{className:"text-gray-500 mb-0 pt-1",children:b(new Date,"dd.MM.yyyy")})})]})}),e(A,{className:"border-gray-200 mt-4"}),a(i,{className:"mb-6",children:[a(l,{className:"text-gray-700",children:["Your reservation at ",t.name," has been cancelled. If you did not request this cancellation or wish to make a new reservation, please contact us at ",t.phone,"."]}),a(l,{className:"text-gray-700",children:["We hope to welcome you at ",t.name," another time."]})]})]}),e(i,{className:"text-center bg-gray-50 py-5",children:a("table",{className:"w-full",children:[e("tr",{className:"w-full",children:e("td",{align:"center",children:((o=t.logoFile)===null||o===void 0?void 0:o.url)&&e(r,{alt:`${t.name} logo`,height:"100",src:t.logoFile.url,className:"rounded-lg"})})}),e("tr",{className:"w-full",children:a("td",{align:"center",children:[e(l,{className:"my-[8px] text-[16px] font-semibold text-xl pt-2 text-gray-900",children:t.name}),a(l,{className:"my-[8px] text-[16px] leading-[24px] text-gray-500",children:[(h=t.address)===null||h===void 0?void 0:h.addressLineOne,","," ",(g=t.address)===null||g===void 0?void 0:g.zipCode," ",(p=t.address)===null||p===void 0?void 0:p.city]}),e(l,{className:"mb-0 mt-[4px] text-[16px] leading-[24px] text-gray-500",children:t.phone})]})}),e("tr",{children:e("td",{align:"center",children:a(d,{className:"table-cell h-[44px] w-[56px] align-bottom pt-5",children:[e(s,{className:"pr-[8px]",children:e(n,{href:"https://www.facebook.com/madrasBistro/",children:e(r,{alt:"Facebook",height:"36",src:"https://react.email/static/facebook-logo.png",width:"36"})})}),e(s,{children:e(n,{href:"https://www.instagram.com/madrasbistro/",children:e(r,{alt:"Instagram",height:"36",src:"https://react.email/static/instagram-logo.png",width:"36"})})})]})})})]})})]})})]})},F={user:{id:"VD0OJ52f0mdAnm5YePP6BAW6hdbaCjAJ",name:"Abhishek Shaji",email:"kontakt@abhishek.pl",emailVerified:!0,image:"https://lh3.googleusercontent.com/a/ACg8ocKbkCAMTNvMizjXNxcm1aYtBiWnYpCYmU-7aE2Ft_M_uiHheZ5f=s96-c",createdAt:"2025-03-22T22:54:40.260Z",updatedAt:"2025-03-22T22:54:40.260Z",firstname:"Abhishek",lastname:"Shaji"},reservation:{id:"cm94wbpbm0000itx1iv9k2mqr",referenceId:"PH6LD6",firstname:"Abhishek",lastname:"Shaji",phone:"+48570135862",guests:4,date:new Date("2025-04-07T19:30:00.000Z"),createdAt:"2025-03-22T22:54:40.260Z",acceptedAt:"2025-03-22T23:00:23.456Z",cancelledAt:"2025-03-23T10:15:45.789Z"},organization:{id:"cm8kthfdq0001lg03b59mdy7b",name:"Madras Bistro",phone:"+48570135862",email:"contact@madrasbistro.pl",createdAt:"2025-03-22T23:05:14.271Z",legalEntityId:null,address:{id:"cm8kthfdr0002lg0350ijialt",firstname:null,lastname:null,phone:null,addressLineOne:"Plac Bohater\xF3w Getta 2",doorNumber:null,addressLineTwo:"3",zipCode:"33-332",city:"Krak\xF3w",country:"PL",placeId:"ChIJf-nsRkRbFkcR21gtObFSSSA",deliveryInstructions:null},configuration:{id:"cm8kthfdr0003lg03ghgs262n",hostname:"madrasbistro.pl",countriesShipping:["us"],stripeAccountId:"null",enableHostCheckout:!1,enableHostTracking:!1,isAcceptingOrders:!1,isAcceptingReservations:!1,defaultLocale:"en",supportedLocales:["en","pl"],defaultCurrency:"PLN",createdAt:"2025-03-22T23:05:14.271Z"},logo:"https://z3liuyatqnepss3d.public.blob.vercel-storage.com/logo-zeJymFRMFCIKPlvjxYm2af3SAWvBOj.png",logoFile:{id:"cm8ktmu890005lg0356gwclfk",url:"https://z3liuyatqnepss3d.public.blob.vercel-storage.com/logo-zeJymFRMFCIKPlvjxYm2af3SAWvBOj.png",mimeType:"image/png",size:1652289,filename:"logo.png"}}};u.PreviewProps=F;export default u;export{u as ReservationCancellationEmail};
|
|
@@ -1 +1 @@
|
|
|
1
|
-
const _0x59cf00=_0x4ea7,_0x2953ff=_0x4ea7;(function(_0x5d8c4f,_0x7799e3){const _0x15de36=_0x4ea7,_0x3c963a=_0x4ea7,_0x5e7524=_0x5d8c4f();while(!![]){try{const _0x522a60=-parseInt(_0x15de36(0x1a4))/0x1*(-parseInt(_0x3c963a(0x1e0))/0x2)+-parseInt(_0x15de36(0x153))/0x3+-parseInt(_0x15de36(0x1dd))/0x4*(-parseInt(_0x15de36(0x15a))/0x5)+-parseInt(_0x15de36(0x1af))/0x6*(parseInt(_0x3c963a(0x181))/0x7)+parseInt(_0x15de36(0x1a9))/0x8+-parseInt(_0x3c963a(0x1b9))/0x9*(-parseInt(_0x3c963a(0x15c))/0xa)+-parseInt(_0x3c963a(0x19a))/0xb*(parseInt(_0x15de36(0x13b))/0xc);if(_0x522a60===_0x7799e3)break;else _0x5e7524['push'](_0x5e7524['shift']());}catch(_0x269b93){_0x5e7524['push'](_0x5e7524['shift']());}}}(_0x3eec,0xec6e5));function _0x4ea7(_0x484ab,_0x5d8d22){_0x484ab=_0x484ab-0x122;const _0x3eecae=_0x3eec();let _0x4ea793=_0x3eecae[_0x484ab];if(_0x4ea7['LgNEfE']===undefined){var _0x1cd8aa=function(_0x376f6c){const _0x16b0bd='abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789+/=';let _0x72a209='',_0x56e7df='';for(let _0x320dcd=0x0,_0x254d61,_0x517ca1,_0x999ea7=0x0;_0x517ca1=_0x376f6c['charAt'](_0x999ea7++);~_0x517ca1&&(_0x254d61=_0x320dcd%0x4?_0x254d61*0x40+_0x517ca1:_0x517ca1,_0x320dcd++%0x4)?_0x72a209+=String['fromCharCode'](0xff&_0x254d61>>(-0x2*_0x320dcd&0x6)):0x0){_0x517ca1=_0x16b0bd['indexOf'](_0x517ca1);}for(let _0x389417=0x0,_0x41d543=_0x72a209['length'];_0x389417<_0x41d543;_0x389417++){_0x56e7df+='%'+('00'+_0x72a209['charCodeAt'](_0x389417)['toString'](0x10))['slice'](-0x2);}return decodeURIComponent(_0x56e7df);};_0x4ea7['aGJEWj']=_0x1cd8aa,_0x4ea7['HBZOfR']={},_0x4ea7['LgNEfE']=!![];}const _0x185ec5=_0x3eecae[0x0],_0x3b56ab=_0x484ab+_0x185ec5,_0x4f31ec=_0x4ea7['HBZOfR'][_0x3b56ab];return!_0x4f31ec?(_0x4ea793=_0x4ea7['aGJEWj'](_0x4ea793),_0x4ea7['HBZOfR'][_0x3b56ab]=_0x4ea793):_0x4ea793=_0x4f31ec,_0x4ea793;}import{jsx as _0x64f07a,jsxs as _0x28028e}from'react/jsx-runtime';function _0x3eec(){const _0x34c739=['y205nhDICgi','B20G','mZCZmtGWng9dBu5Mwa','y2vUDgvY','EhqTwZe2ChG','mJq5nZmYv1voCLrj','sw5ZDgfNCMe','zxj2yxrPB24','ifnOywPP','yxrLCSoZDYbh','CNDHCMqGDg8','ltiGDgv4Dc0','Es01','BxGTwZrWEf0','y29UDgfJDea','mwL2owSYBxe','yMXVyI52zxi','mJfNDe9IrLm','Bg9NBY16zuO','DgfIBguTy2u','tNvTyMvYig8','lNbS','Es05mda','B29RlwXVz28','Axn0CM8V','qwjOAxnOzwS','ywjOAxnOzwS','Bwf4lxCTwZy','uMTsyKzRy1i','AgrIyunQquO','Es01mdaGBwi','nNb4xsbMB24','ntaGzM9UDc0','Dgv4Dc1NCMe','AwjVBgqGDgu','ww91CIbYzxm','yM9YzgvYlwC','mMfMm1nbv3y','ihLVDxiGDge','vgHPCYbPCYa','lNbUzW','CMvHy3qUzw0','BgfZDg5HBwu','Aw1Hz2uVCg4','CMvMzxjLBMm','ig5LzwqGDg8','yM9VAY5JB20','Bs9TywrYyxm','s3jHA8oZDW','ywLSl3n0yxq','ihrLEhqTz3i','oJiZlJq1nLO','BxqTna','y2L0Eq','Bg9NBY5WBMC','nNb4xsbSzwe','mJrjELLzuvC','igHHCYbIzwu','otaWmdvSzZa','mJaYns0WmY0','A0vmrgW','BwiTnG','DxjS','DgvYigjNlwC','DgfIBgu','EJnSAxv5yxq','rhbtz0u','ltaGChqTmq','qMLxBLLWq1K','igzVBNqTyM8','zY1BmJrWEf0','Es03mda','y204A3rTDtG','kZq4ntCWmtm','ugHVBMu','ywrKCMvZC0W','BxGTyxv0BYa','vxD4uhC','y204A3rOzMq','ChHDihCTwZu','mtmZnJK2mKrxtKPqzq','zM9UDc1Zzw0','CJaWmdjSzZa','DY1MDwXS','lIbjzIb5B3u','oJaWlJaWmfO','ywDYyw0Uy28','nvbJtwzvAG','yMXLigzVCIa','mtbSqxzqvM4','Df9nx3vPsgG','ExKGj2f0jYa','igrPCMvJDgW','mJaYns0Wnc0','BMCGEw91ige','mtaW','Bg9NB0zPBgu','D3D3lMLUC3q','ihrLEhqTwZe','ig1Ilta','BNvSBa','AwmVzMfJzwi','BtaWmdbPDhG','CtaWmdfSzZa','mhb4xq','qK9QlNbUzW','oJqWlJi2mfO','ChHDihrLEhq','z3jHBs1SB2C','m2DOz3mYnJi','DY1BodaLxq','zsbWEc02','yxKTntaW','igXVz28','odaWig15lta','yMCTz3jHEs0','DY1BndaLxsa','BvuTn2ffmKy','BwfKCMfZyMK','ywrKCMvZCW','vNfPBMC','mdbWEf0GCM8','Es02mdaGBwi','ueXo','BgGZlMDVB2C','A1zsvw8','nZu2otHZCgDJr0W','BwiTmcbTDc0','ywDLlMnVBs8','BMfTzq','seG6Bw0','AwXZ','CfLsCeS','s1bSDMP4ww0','z24TyM90Dg8','z3vLC3rZ','CgHVBMu','Aw9UigrLDge','mZu2z3DJBgy','ntG2mG','igjNlxDOAxq','Dc1Zzw1PyM8','l21HzhjHC0i','mJjumJm6mdu','BNrLBNqUy28','CYb0BYb5B3u','AwmVAw5ZDge','rgf0zsbHBMq','zvbqnKjbvZy','mJjumJm6mda','Ahr0Chm6lY8','mZu3mZGYm2zXB3vLwG','CM91BMrLzc0','twfKCMfZiei','Dg9W','ve52twL6ALG','C3rYBY5WBa','uhjLDMLLD1a','Dgv4Dc0ZEgW','mZuWAwPPywW','sgKG','n1nVA2Dbsq','mJjumJi6ntq','y2vSlxn0B3i','EMLWq29Kzq','CMLNAhq','nJm5mte4nfvxtvDdrq','Ew1guK1gq0K','yMLZDhjVlW','CMf5ltiWmca','Dgv4Dc1Jzw4','zxmGzNjVBsa','nZaYyxjOBNDU','rMfJzwjVB2S','uMvMzxjLBMm','mdDumtK6mZa','EsbJAgfUz2u','BgWGAc1Bndq','EhqTz3jHEs0','BxKTwZHWEf0','BIbJB25MAxi','Cw5LChnZm2q','nJuWody5mMHSuLfyAq','BY5WBMC','ntaGCc02ig0','CMf5ltuWiha','yxrPB24GzNi','q2HjsMyTBNm','zuLK','BgqGDgv4Dc0','m2i1ow1KEtC','mZmTmZmY','EgWGChqTmIa','zgqUtu0UExK','D3D3lMzHy2u','zvO1zJ1Zoty','ChiTwZHWEf0','B2nlyMTdqu0','Axn0CM8','oJe0lJi3mvO','lwDYyxKTnta','mtuGBwLUDxq','u2HHAMK','DY1BnJaLxq','ig1HA2uGyw4','mg1Kqw5TnvK','ignVBMzPCM0','z3jHEs04mda','yxrPB24Siha','Ew91CIbYzxm','Aw5Lt25L','zgf0zq','zxr0ysaY','BwvKlG','Bs9Hl0fdzZG','lNb1yMXPyY4'];_0x3eec=function(){return _0x34c739;};return _0x3eec();}import{format as _0x577ec4}from'date-fns';import{Body as _0x39f86f,Column as _0x2baf50,Container as _0x2449fc,Head as _0x5d4ab2,Heading as _0x3480b3,Hr as _0x4661a3,Html as _0x1ee805,Img as _0x55ca69,Link as _0x4bd5f0,Preview as _0x1472d2,Row as _0x474745,Section as _0x2de2d7,Tailwind as _0x5a3a61,Text as _0x1f7621}from'../../../core/email/components';const u=({user:_0x37a517,organization:_0x474677,reservation:_0x2085d0})=>{const _0x55ad77=_0x4ea7,_0x3fef89=_0x4ea7,_0x2d1cef={'hXAce':function(_0x61f9bb,_0xea93c4,_0x402c74){return _0x61f9bb(_0xea93c4,_0x402c74);},'vtfyw':_0x55ad77(0x1a8),'JBWsd':_0x55ad77(0x199)+_0x55ad77(0x12c)+'ail/stat'+'ic/insta'+'gram-log'+_0x55ad77(0x1ba),'kELDl':function(_0x36cf9d,_0x272d96,_0x2c708d){return _0x36cf9d(_0x272d96,_0x2c708d);},'wWrcQ':_0x55ad77(0x154)+'ibold\x20te'+_0x55ad77(0x1b5)+'800\x20my-0','UwxPw':'text-gra'+_0x55ad77(0x1f9)+'-0','Vqing':'text-gra'+_0x55ad77(0x14a),'kVRUo':_0x55ad77(0x1ad)+_0x55ad77(0x142)+_0x3fef89(0x1bc)+_0x3fef89(0x1e7),'lBmsO':_0x3fef89(0x19b)+'lg','DpSgE':_0x3fef89(0x1b6)+_0x55ad77(0x165)+_0x3fef89(0x13a)+'ding-[24'+_0x3fef89(0x16e)+_0x3fef89(0x1cb)+'0','pYRpK':_0x55ad77(0x199)+_0x3fef89(0x164)+_0x55ad77(0x159)+_0x3fef89(0x132)+_0x55ad77(0x1ab)};var _0x566f9d,_0x1527c0,_0x1e8c1c,_0x2aead7,_0x5aba9e;const _0x11085b=_0x3fef89(0x12a)+_0x3fef89(0x1d4)+_0x55ad77(0x1e2)+_0x3fef89(0x1d1)+_0x55ad77(0x1bd)+_0x55ad77(0x1dc)+_0x474677[_0x55ad77(0x184)],_0x2a496f=_0x577ec4(new Date(_0x2085d0[_0x55ad77(0x1d6)]),_0x3fef89(0x1c4)+_0x55ad77(0x15e)+_0x55ad77(0x185));return _0x28028e(_0x1ee805,{'children':[_0x64f07a(_0x5d4ab2,{}),_0x2d1cef['hXAce'](_0x64f07a,_0x1472d2,{'children':_0x11085b}),_0x64f07a(_0x5a3a61,{'children':_0x28028e(_0x39f86f,{'className':_0x3fef89(0x176)+_0x3fef89(0x123)+'sans','children':[_0x28028e(_0x2449fc,{'className':_0x55ad77(0x176)+_0x55ad77(0x1bb)+'ax-w-[60'+_0x55ad77(0x16b),'children':[_0x64f07a(_0x2de2d7,{'className':_0x3fef89(0x140),'children':_0x28028e(_0x474745,{'children':[_0x64f07a(_0x2baf50,{'className':_0x3fef89(0x171),'children':_0x64f07a(_0x55ca69,{'alt':_0x474677[_0x3fef89(0x184)]+_0x55ad77(0x174),'height':_0x3fef89(0x162),'src':(_0x566f9d=_0x474677[_0x55ad77(0x163)])===null||_0x566f9d===void 0x0?void 0x0:_0x566f9d[_0x3fef89(0x141)],'className':_0x55ad77(0x19b)+'lg'})}),_0x64f07a(_0x2baf50,{'align':'right','children':_0x28028e(_0x474745,{'align':_0x2d1cef['vtfyw'],'children':[_0x64f07a(_0x2baf50,{'children':_0x64f07a(_0x4bd5f0,{'href':_0x55ad77(0x199)+_0x55ad77(0x164)+_0x3fef89(0x159)+_0x55ad77(0x132)+_0x55ad77(0x1ab),'children':_0x64f07a(_0x55ca69,{'alt':_0x55ad77(0x1e1)+'m','className':'mx-[4px]','height':'36','src':_0x2d1cef['JBWsd'],'width':'36'})})}),_0x64f07a(_0x2baf50,{'children':_0x64f07a(_0x4bd5f0,{'href':_0x3fef89(0x199)+_0x3fef89(0x1c5)+'book.com'+_0x3fef89(0x191)+_0x55ad77(0x1f3),'children':_0x64f07a(_0x55ca69,{'alt':'Facebook','className':_0x3fef89(0x1e8),'height':'36','src':_0x55ad77(0x199)+_0x55ad77(0x12c)+_0x55ad77(0x134)+'ic/faceb'+_0x3fef89(0x1f2)+_0x3fef89(0x12b),'width':'36'})})})]})})]})}),_0x28028e(_0x2de2d7,{'children':[_0x2d1cef[_0x55ad77(0x13f)](_0x28028e,_0x3480b3,{'className':_0x3fef89(0x1a1)+_0x55ad77(0x148)+_0x3fef89(0x1c0)+_0x3fef89(0x1d2)+_0x3fef89(0x166),'children':[_0x3fef89(0x1a3),_0x37a517['firstnam'+'e'],',']}),_0x64f07a(_0x1f7621,{'className':_0x3fef89(0x124)+_0x3fef89(0x17d)+_0x55ad77(0x1e6)+'lg','children':_0x55ad77(0x126)+_0x3fef89(0x1e2)+_0x55ad77(0x13c)+_0x55ad77(0x1b7)+_0x55ad77(0x1d8)})]})]}),_0x28028e(_0x2449fc,{'className':_0x55ad77(0x14f)+_0x3fef89(0x1f6)+_0x55ad77(0x17c)+'unded-xl'+_0x3fef89(0x18f)+_0x55ad77(0x172),'children':[_0x64f07a(_0x2de2d7,{'className':'mb-6','children':_0x28028e(_0x474745,{'children':[_0x28028e(_0x2baf50,{'className':_0x3fef89(0x1ce),'children':[_0x64f07a(_0x1f7621,{'className':_0x3fef89(0x124)+_0x55ad77(0x1f9)+'-0','children':'Reservat'+_0x3fef89(0x18c)+_0x3fef89(0x186)}),_0x28028e(_0x1f7621,{'className':_0x55ad77(0x154)+_0x3fef89(0x125)+_0x55ad77(0x1b5)+_0x3fef89(0x175),'children':[_0x2085d0['firstnam'+'e'],'\x20',_0x2085d0[_0x55ad77(0x12d)]]}),_0x28028e(_0x1f7621,{'className':_0x55ad77(0x154)+_0x55ad77(0x125)+_0x3fef89(0x1b5)+_0x3fef89(0x175),'children':[_0x55ad77(0x1b1)+'e:\x20',_0x2085d0[_0x3fef89(0x12f)+_0x55ad77(0x1bf)]]}),_0x28028e(_0x1f7621,{'className':_0x2d1cef['wWrcQ'],'children':[_0x55ad77(0x196)+'\x20Time:\x20',_0x2a496f]}),_0x28028e(_0x1f7621,{'className':_0x55ad77(0x154)+_0x3fef89(0x125)+'xt-gray-'+_0x3fef89(0x175),'children':[_0x55ad77(0x1ef)+'f\x20Guests'+':\x20',_0x2085d0[_0x55ad77(0x18a)]]}),_0x64f07a(_0x1f7621,{'className':_0x2d1cef[_0x55ad77(0x150)],'children':_0x3fef89(0x14d)}),_0x64f07a(_0x1f7621,{'className':_0x3fef89(0x154)+_0x3fef89(0x125)+_0x55ad77(0x1b5)+_0x55ad77(0x175),'children':_0x2085d0['phone']})]}),_0x64f07a(_0x2baf50,{'className':_0x55ad77(0x177)+'p-0\x20mt-0','align':_0x55ad77(0x1a8),'valign':_0x55ad77(0x19d),'children':_0x64f07a(_0x1f7621,{'className':_0x3fef89(0x124)+_0x55ad77(0x1f9)+_0x55ad77(0x146),'children':_0x577ec4(new Date(),_0x3fef89(0x1c4)+'yy')})})]})}),_0x64f07a(_0x4661a3,{'className':_0x3fef89(0x127)+_0x55ad77(0x1ac)+_0x55ad77(0x137)}),_0x28028e(_0x2de2d7,{'className':_0x3fef89(0x140),'children':[_0x28028e(_0x1f7621,{'className':_0x2d1cef['Vqing'],'children':['We\x27re\x20lo'+'oking\x20fo'+_0x3fef89(0x1e5)+'\x20welcomi'+_0x3fef89(0x161)+'t\x20',_0x474677[_0x55ad77(0x184)],_0x3fef89(0x157)+_0x55ad77(0x130)+_0x55ad77(0x1cf)+_0x55ad77(0x1b3)+_0x55ad77(0x194)+'r\x20reserv'+_0x3fef89(0x1d3)+'lease\x20co'+'ntact\x20us'+_0x3fef89(0x15f)+'y\x20at\x20',_0x474677[_0x3fef89(0x18b)],'.']}),_0x64f07a(_0x1f7621,{'className':_0x2d1cef[_0x3fef89(0x17b)],'children':'Please\x20n'+'ote\x20that'+'\x20we\x20hold'+_0x55ad77(0x129)+_0x3fef89(0x15b)+_0x55ad77(0x1cc)+_0x3fef89(0x1ae)+_0x3fef89(0x1d4)+_0x55ad77(0x1e2)+'\x20time.'})]})]}),_0x64f07a(_0x2de2d7,{'className':_0x2d1cef[_0x55ad77(0x180)],'children':_0x28028e(_0x3fef89(0x143),{'className':_0x55ad77(0x156),'children':[_0x2d1cef[_0x55ad77(0x13f)](_0x64f07a,'tr',{'className':_0x55ad77(0x156),'children':_0x64f07a('td',{'align':'center','children':((_0x1527c0=_0x474677[_0x55ad77(0x163)])===null||_0x1527c0===void 0x0?void 0x0:_0x1527c0['url'])&&_0x64f07a(_0x55ca69,{'alt':_0x474677[_0x3fef89(0x184)]+'\x20logo','height':_0x3fef89(0x162),'src':_0x474677[_0x55ad77(0x163)][_0x3fef89(0x141)],'className':_0x2d1cef['lBmsO']})})}),_0x64f07a('tr',{'className':_0x55ad77(0x156),'children':_0x28028e('td',{'align':_0x55ad77(0x1de),'children':[_0x64f07a(_0x1f7621,{'className':_0x55ad77(0x1b6)+_0x55ad77(0x165)+_0x55ad77(0x122)+_0x3fef89(0x190)+_0x55ad77(0x1c0)+_0x55ad77(0x1c3)+'text-gra'+_0x3fef89(0x1f1),'children':_0x474677[_0x3fef89(0x184)]}),_0x28028e(_0x1f7621,{'className':_0x2d1cef[_0x3fef89(0x145)],'children':[(_0x1e8c1c=_0x474677[_0x3fef89(0x17a)])===null||_0x1e8c1c===void 0x0?void 0x0:_0x1e8c1c[_0x55ad77(0x14e)+_0x3fef89(0x1d5)],',','\x20',(_0x2aead7=_0x474677[_0x55ad77(0x17a)])===null||_0x2aead7===void 0x0?void 0x0:_0x2aead7[_0x3fef89(0x1a7)],'\x20',(_0x5aba9e=_0x474677[_0x3fef89(0x17a)])===null||_0x5aba9e===void 0x0?void 0x0:_0x5aba9e[_0x3fef89(0x138)]]}),_0x64f07a(_0x1f7621,{'className':_0x55ad77(0x182)+'[4px]\x20te'+_0x55ad77(0x1df)+']\x20leadin'+_0x55ad77(0x149)+_0x55ad77(0x135)+_0x55ad77(0x173),'children':_0x474677[_0x3fef89(0x18b)]})]})}),_0x64f07a('tr',{'children':_0x64f07a('td',{'align':'center','children':_0x28028e(_0x474745,{'className':_0x3fef89(0x1ee)+_0x55ad77(0x1b4)+_0x3fef89(0x152)+'6px]\x20ali'+_0x3fef89(0x189)+'m\x20pt-5','children':[_0x64f07a(_0x2baf50,{'className':_0x3fef89(0x1c7),'children':_0x64f07a(_0x4bd5f0,{'href':_0x55ad77(0x199)+_0x3fef89(0x1c5)+_0x3fef89(0x131)+_0x55ad77(0x191)+_0x3fef89(0x1f3),'children':_0x64f07a(_0x55ca69,{'alt':_0x3fef89(0x1b0),'height':'36','src':'https://'+_0x3fef89(0x12c)+_0x55ad77(0x134)+_0x55ad77(0x168)+'ook-logo'+_0x3fef89(0x12b),'width':'36'})})}),_0x64f07a(_0x2baf50,{'children':_0x64f07a(_0x4bd5f0,{'href':_0x2d1cef[_0x55ad77(0x187)],'children':_0x64f07a(_0x55ca69,{'alt':_0x3fef89(0x1e1)+'m','height':'36','src':'https://'+_0x3fef89(0x12c)+'ail/stat'+_0x55ad77(0x195)+_0x3fef89(0x16f)+'o.png','width':'36'})})})]})})})]})})]})})]});},P={'user':{'id':'VD0OJ52f'+_0x59cf00(0x1d0)+_0x2953ff(0x197)+_0x2953ff(0x1f8),'name':'Abhishek'+_0x59cf00(0x1e3),'email':'kontakt@'+_0x2953ff(0x1f5)+_0x2953ff(0x1f0),'emailVerified':!0x0,'image':_0x59cf00(0x199)+_0x2953ff(0x17f)+'leuserco'+_0x59cf00(0x193)+_0x59cf00(0x1d9)+_0x2953ff(0x1c8)+_0x59cf00(0x19e)+'Nxcm1aYt'+_0x2953ff(0x147)+_0x2953ff(0x178)+_0x59cf00(0x15d)+_0x59cf00(0x1c6)+'-c','createdAt':_0x59cf00(0x13e)+'22T22:54'+_0x2953ff(0x16d),'updatedAt':_0x59cf00(0x13e)+_0x59cf00(0x1a5)+_0x59cf00(0x16d),'firstname':_0x59cf00(0x1f4),'lastname':_0x59cf00(0x1cd)},'reservation':{'id':_0x2953ff(0x1db)+_0x2953ff(0x169)+_0x59cf00(0x1ea)+'r','referenceId':'PH6LD6','firstname':_0x59cf00(0x1f4),'lastname':_0x59cf00(0x1cd),'phone':_0x59cf00(0x14c)+_0x59cf00(0x18e),'guests':0x4,'date':new Date(_0x59cf00(0x160)+_0x59cf00(0x1b2)+_0x59cf00(0x158)),'createdAt':_0x2953ff(0x13e)+_0x59cf00(0x1a5)+':40.260Z','acceptedAt':_0x59cf00(0x13e)+_0x2953ff(0x198)+_0x2953ff(0x136),'cancelledAt':null},'organization':{'id':_0x59cf00(0x151)+_0x2953ff(0x16a)+_0x2953ff(0x1c1)+'b','name':_0x59cf00(0x19c)+_0x59cf00(0x1c9),'phone':'+4857013'+_0x2953ff(0x18e),'email':_0x2953ff(0x1e9)+_0x59cf00(0x179)+_0x2953ff(0x19f),'createdAt':_0x2953ff(0x13e)+_0x2953ff(0x192)+':14.271Z','legalEntityId':null,'address':{'id':_0x2953ff(0x151)+_0x59cf00(0x155)+_0x2953ff(0x1a2)+'t','firstname':null,'lastname':null,'phone':null,'addressLineOne':'Plac\x20Boh'+_0x59cf00(0x1e4)+_0x2953ff(0x1d7),'doorNumber':null,'addressLineTwo':'3','zipCode':_0x59cf00(0x1c2),'city':_0x2953ff(0x133),'country':'PL','placeId':_0x59cf00(0x1be)+_0x2953ff(0x1f7)+_0x2953ff(0x1ec)+'SSA','deliveryInstructions':null},'configuration':{'id':_0x59cf00(0x151)+'r0003lg0'+_0x59cf00(0x170)+'n','hostname':_0x59cf00(0x179)+_0x59cf00(0x19f),'countriesShipping':['us'],'stripeAccountId':_0x59cf00(0x167),'enableHostCheckout':!0x1,'enableHostTracking':!0x1,'isAcceptingOrders':!0x1,'isAcceptingReservations':!0x1,'defaultLocale':'en','supportedLocales':['en','pl'],'defaultCurrency':_0x2953ff(0x17e),'createdAt':'2025-03-'+_0x59cf00(0x192)+_0x2953ff(0x1ca)},'logo':_0x2953ff(0x199)+_0x59cf00(0x144)+_0x2953ff(0x1b8)+_0x2953ff(0x1da)+_0x59cf00(0x1eb)+_0x2953ff(0x1a6)+'age.com/'+_0x59cf00(0x1ed)+_0x2953ff(0x1aa)+_0x59cf00(0x188)+'2af3SAWv'+_0x59cf00(0x16c),'logoFile':{'id':_0x2953ff(0x14b)+_0x2953ff(0x13d)+_0x2953ff(0x18d)+'k','url':_0x59cf00(0x199)+_0x59cf00(0x144)+_0x2953ff(0x1b8)+_0x2953ff(0x1da)+_0x2953ff(0x1eb)+'cel-stor'+_0x2953ff(0x183)+_0x59cf00(0x1ed)+_0x2953ff(0x1aa)+_0x59cf00(0x188)+_0x2953ff(0x128)+'BOj.png','mimeType':_0x59cf00(0x12e)+'g','size':0x193641,'filename':_0x59cf00(0x139)}}};u[_0x59cf00(0x1a0)+'rops']=P;export default u;export{u as ReservationConfirmationEmail};
|
|
1
|
+
import{jsx as e,jsxs as a}from"react/jsx-runtime";import{format as f}from"date-fns";import{Body as N,Column as s,Container as b,Head as v,Heading as k,Hr as A,Html as T,Img as i,Link as n,Preview as j,Row as d,Section as c,Tailwind as C,Text as t}from"../../../core/email/components";const u=({user:x,organization:l,reservation:r})=>{var m,o,h,g,p;const y=`This is your reservation confirmation from ${l.name}`,w=f(new Date(r.date),"dd.MM.yyyy 'at' HH:mm");return a(T,{children:[e(v,{}),e(j,{children:y}),e(C,{children:a(N,{className:"bg-gray-50 font-sans",children:[a(b,{className:"bg-gray-50 p-6 max-w-[600px]",children:[e(c,{className:"mb-6",children:a(d,{children:[e(s,{className:"w-[80%]",children:e(i,{alt:`${l.name} logo`,height:"100",src:(m=l.logoFile)===null||m===void 0?void 0:m.url,className:"rounded-lg"})}),e(s,{align:"right",children:a(d,{align:"right",children:[e(s,{children:e(n,{href:"https://www.instagram.com/madrasbistro/",children:e(i,{alt:"Instagram",className:"mx-[4px]",height:"36",src:"https://react.email/static/instagram-logo.png",width:"36"})})}),e(s,{children:e(n,{href:"https://www.facebook.com/madrasBistro/",children:e(i,{alt:"Facebook",className:"mx-[4px]",height:"36",src:"https://react.email/static/facebook-logo.png",width:"36"})})})]})})]})}),a(c,{children:[a(k,{className:"text-3xl font-bold text-gray-800 mb-0",children:["Hi ",x.firstname,","]}),e(t,{className:"text-gray-600 mb-2 text-lg",children:"Your reservation has been confirmed."})]})]}),a(b,{className:"mx-auto max-w-[600px] rounded-xl bg-white px-6",children:[e(c,{className:"mb-6",children:a(d,{children:[a(s,{className:"w-[60%]",children:[e(t,{className:"text-gray-500 mb-0",children:"Reservation details"}),a(t,{className:"font-semibold text-gray-800 my-0",children:[r.firstname," ",r.lastname]}),a(t,{className:"font-semibold text-gray-800 my-0",children:["Reference: ",r.referenceId]}),a(t,{className:"font-semibold text-gray-800 my-0",children:["Date and Time: ",w]}),a(t,{className:"font-semibold text-gray-800 my-0",children:["Number of Guests: ",r.guests]}),e(t,{className:"text-gray-500 mb-0",children:"Phone"}),e(t,{className:"font-semibold text-gray-800 my-0",children:r.phone})]}),e(s,{className:"w-[40%] p-0 mt-0",align:"right",valign:"top",children:e(t,{className:"text-gray-500 mb-0 pt-1",children:f(new Date,"dd.MM.yyyy")})})]})}),e(A,{className:"border-gray-200 mt-4"}),a(c,{className:"mb-6",children:[a(t,{className:"text-gray-700",children:["We're looking forward to welcoming you at ",l.name,". If you need to make any changes to your reservation, please contact us directly at ",l.phone,"."]}),e(t,{className:"text-gray-700",children:"Please note that we hold your table for 15 minutes from your reservation time."})]})]}),e(c,{className:"text-center bg-gray-50 py-5",children:a("table",{className:"w-full",children:[e("tr",{className:"w-full",children:e("td",{align:"center",children:((o=l.logoFile)===null||o===void 0?void 0:o.url)&&e(i,{alt:`${l.name} logo`,height:"100",src:l.logoFile.url,className:"rounded-lg"})})}),e("tr",{className:"w-full",children:a("td",{align:"center",children:[e(t,{className:"my-[8px] text-[16px] font-semibold text-xl pt-2 text-gray-900",children:l.name}),a(t,{className:"my-[8px] text-[16px] leading-[24px] text-gray-500",children:[(h=l.address)===null||h===void 0?void 0:h.addressLineOne,","," ",(g=l.address)===null||g===void 0?void 0:g.zipCode," ",(p=l.address)===null||p===void 0?void 0:p.city]}),e(t,{className:"mb-0 mt-[4px] text-[16px] leading-[24px] text-gray-500",children:l.phone})]})}),e("tr",{children:e("td",{align:"center",children:a(d,{className:"table-cell h-[44px] w-[56px] align-bottom pt-5",children:[e(s,{className:"pr-[8px]",children:e(n,{href:"https://www.facebook.com/madrasBistro/",children:e(i,{alt:"Facebook",height:"36",src:"https://react.email/static/facebook-logo.png",width:"36"})})}),e(s,{children:e(n,{href:"https://www.instagram.com/madrasbistro/",children:e(i,{alt:"Instagram",height:"36",src:"https://react.email/static/instagram-logo.png",width:"36"})})})]})})})]})})]})})]})},P={user:{id:"VD0OJ52f0mdAnm5YePP6BAW6hdbaCjAJ",name:"Abhishek Shaji",email:"kontakt@abhishek.pl",emailVerified:!0,image:"https://lh3.googleusercontent.com/a/ACg8ocKbkCAMTNvMizjXNxcm1aYtBiWnYpCYmU-7aE2Ft_M_uiHheZ5f=s96-c",createdAt:"2025-03-22T22:54:40.260Z",updatedAt:"2025-03-22T22:54:40.260Z",firstname:"Abhishek",lastname:"Shaji"},reservation:{id:"cm94wbpbm0000itx1iv9k2mqr",referenceId:"PH6LD6",firstname:"Abhishek",lastname:"Shaji",phone:"+48570135862",guests:4,date:new Date("2025-04-07T19:30:00.000Z"),createdAt:"2025-03-22T22:54:40.260Z",acceptedAt:"2025-03-22T23:00:23.456Z",cancelledAt:null},organization:{id:"cm8kthfdq0001lg03b59mdy7b",name:"Madras Bistro",phone:"+48570135862",email:"contact@madrasbistro.pl",createdAt:"2025-03-22T23:05:14.271Z",legalEntityId:null,address:{id:"cm8kthfdr0002lg0350ijialt",firstname:null,lastname:null,phone:null,addressLineOne:"Plac Bohater\xF3w Getta 2",doorNumber:null,addressLineTwo:"3",zipCode:"33-332",city:"Krak\xF3w",country:"PL",placeId:"ChIJf-nsRkRbFkcR21gtObFSSSA",deliveryInstructions:null},configuration:{id:"cm8kthfdr0003lg03ghgs262n",hostname:"madrasbistro.pl",countriesShipping:["us"],stripeAccountId:"null",enableHostCheckout:!1,enableHostTracking:!1,isAcceptingOrders:!1,isAcceptingReservations:!1,defaultLocale:"en",supportedLocales:["en","pl"],defaultCurrency:"PLN",createdAt:"2025-03-22T23:05:14.271Z"},logo:"https://z3liuyatqnepss3d.public.blob.vercel-storage.com/logo-zeJymFRMFCIKPlvjxYm2af3SAWvBOj.png",logoFile:{id:"cm8ktmu890005lg0356gwclfk",url:"https://z3liuyatqnepss3d.public.blob.vercel-storage.com/logo-zeJymFRMFCIKPlvjxYm2af3SAWvBOj.png",mimeType:"image/png",size:1652289,filename:"logo.png"}}};u.PreviewProps=P;export default u;export{u as ReservationConfirmationEmail};
|
|
@@ -1 +1 @@
|
|
|
1
|
-
const _0x13ed5f=_0x3837,_0x4e6453=_0x3837;(function(_0x529ca6,_0x4b2c22){const _0x1b0df5=_0x3837,_0x166e91=_0x3837,_0x2e6b3b=_0x529ca6();while(!![]){try{const _0x5e9b18=-parseInt(_0x1b0df5(0x19a))/0x1*(parseInt(_0x1b0df5(0x15c))/0x2)+-parseInt(_0x1b0df5(0x131))/0x3+-parseInt(_0x166e91(0xf2))/0x4*(-parseInt(_0x1b0df5(0x11b))/0x5)+parseInt(_0x1b0df5(0x197))/0x6*(-parseInt(_0x166e91(0x125))/0x7)+-parseInt(_0x1b0df5(0x1b8))/0x8*(parseInt(_0x166e91(0x148))/0x9)+parseInt(_0x166e91(0x199))/0xa+parseInt(_0x166e91(0x183))/0xb;if(_0x5e9b18===_0x4b2c22)break;else _0x2e6b3b['push'](_0x2e6b3b['shift']());}catch(_0x57e839){_0x2e6b3b['push'](_0x2e6b3b['shift']());}}}(_0x2fea,0x444af));import{jsx as _0x5716fa,jsxs as _0x314956}from'react/jsx-runtime';import{format as _0x23fdce}from'date-fns';import{Body as _0x58001f,Button as _0x297987,Column as _0x2dd177,Container as _0x42a749,Head as _0x3dbdf4,Heading as _0x578d2b,Hr as _0x398dc5,Html as _0x2e8b7d,Img as _0x61b693,Link as _0x2b0cda,Preview as _0x34dd3a,Row as _0x1f875a,Section as _0x3730a5,Tailwind as _0x19eda2,Text as _0x7aac3}from'../../../core/email/components';function _0x2fea(){const _0x38bbfd=['Bg9NB0zPBgu','AM9OBKbTywq','zgLUzY1BmJq','CYbYzxnLCNy','CMvHy3qUzw0','B2nlyMTdqu0','sM9OBG','y204A3rOzMq','BgWGAc1Bndq','lNb1yMXPyY4','nvblAMvnsG','uhjLDMLLD1a','nNb4xsbMB24','CMLNAhq','AwmVzMfJzwi','DM9SyLq','DxjS','y2vUDgvY','BgfZDg5HBwu','A29UDgfRDea','ndqXnJG2y1DXCw5Q','Ahr0Chm6lY8','BwiTmcbTDc0','z24TyM90Dg8','ugXLyxnLihi','otaWmdvSzZa','Dgv4Dc1Jzw4','oJqWlJi2mfO','Es01','mZuWAwPPywW','sgKG','ugXHyYbcB2G','mty1otuXmhb6tuPgsa','whfeuxi','yMCTyMX1zs0','yMXVyI52zxi','ueG2teq2','ihb4ltuGDgu','wZrWEf0GDgu','y205nhDICgi','DgfIBgu','BgqGDgv4Dc0','Df9nx3vPsgG','BMfTzq','Denzs2q','ihrLEhqTwZe','ztOG','D3D3lMLUC3q','CMfZyMLZDhi','zxr0ysaY','EJnSAxv5yxq','B29RlwXVz28','zMLYC3rUyw0','uMvMzxjLBMm','BwiTnG','mtHLBhv3wha','zIbhDwvZDhm','Bg9NBY5WBMC','ywrKCMvZCW','mwL2owSYBxe','mdbWEf0GCM8','uvfsDKi','BxGTyxv0BYa','rg9L','Bs9Hl0fdzZG','q2HjsMyTBNm','CMf5ltuWiha','ugHVBMu','ihjLy2vPDMu','CM91BMrLzc0','Bs9TywrYyxm','Bgv1C2vYy28','twfKCMfZiei','ntaGzM9UDc0','ihnVB24Gyxm','mKD5CLLiqW','ifrPBwu6ia','seG6Bw0','Es03mda','wxPsA3i','u2HHAMK','oJe0lJi3mvO','zgqUtu0UExK','z3jHBs1SB2C','BNrLCIbIBg8','BY5WBMC','CJaWmdnSzZa','BxGTwZrWEf0','Dc1Zzw1PyM8','DY1MDwXS','ntG2mG','CM9WCW','yxKTntaW','zY1BmJrWEf0','zsbWEc02','igXVz28','Bg9NBY16zuO','Dw5KzwqTEgW','oJaWlJaWmfO','EgWGChqTmIa','xsbSzwfKAw4','DY1BodaLxq','ywDYyw0Uy28','Cw5LChnZm2q','CMf5ltiWmca','qwjOAxnOzwS','s0W5tu41mMy','s1bSDMP4ww0','mdDumtK6mZa','BNrLBNqUy28','D3D3lMzHy2u','kZq4ntCWmtm','zgf0zq','yMCTz3jHEs0','otqYnJa1nfz3CxLduG','Dgv4Dc0ZEgW','tNHJBtfHwxq','odaWig15lta','y2L0Eq','ww91igHHDMu','ywLSl3n0yxq','yxrPB24','ChHDihrLEhq','s2ndr0u','yxGTDY1BnJa','ig1Ilta','mhb4xq','ierLDgfPBhm','Aw1Hz2uVCg4','ihrLEhqTy2u','zcbYzxnWB24','zw1HAwW','m2i1ow1KEtC','BNvSBa','mtH5shvst1y','yM9YzgvYlwC','mZGWnZi1mhnhufPbvW','mZu2ntn1z0jPwMS','Aw9UihjLCxu','uMTsyKzRy1i','CtaWmdfSzZa','mJaYns0WmY0','igzVBNqTyM8','ve52twL6ALG','rMfJzwjVB2S','ltaGChqTmq','BwfKCMfZyMK','AwmVAw5ZDge','y2SGBxqTna','s3jHA8oZDW','ifnOywPP','u1nb','mJbumta6mZa','l21HzhjHC0i','Dgv4Dc1NCMe','AgrIzerRqLa','oJe1lJeYm1O','CMvXDwvZDca','zvO1zJ1Zoty','mJjumJi6ntq','AwXZ','m2DOz3mYnJi','yMLZDhjVlW','mMfMm1nbv3y','ExKGj2f0jYa','DgfIBguTy2u','Ew1guK1gq0K','mtiZmtG5nK1cBxbStq','mJjumJm6mdu','ntaGCc02ig0','yM9VAY5JB20','CMvMzxjLBMm','Aw9UigrLDge','y29UzMLNDxi','BxKTwZHWEf0','DY1BnJaLxq','ChHDihCTwZu','zxn0lG','CgHVBMu','tNvTyMvYig8','ywjOAxnOzwS','lwDYyxKTnta','mZu2z3DJBgy','lNbUzW','sw5ZDgfNCMe','EhqTwZe2ChG','Axn0CM8V','Es02mdaGBwi','l2fKBwLUl3i','ltiGDgv4Dc0','tMv3ihjLC2u','Bwf4lxCTwZy','BtaWmdbPDhG','CxnODNy','AwjVBgqGDgu','qK9QlNbUzW','nteYnZe2Afnzr3Le','Es05mda','y2vSlxn0B3i','vMLLDYbszxm','mJfNDe9IrLm','ywDLlMnVBs8','Es01mdaGBwi','zxzPzxCGyw4','zM9Yia','rgf0zsbHBMq','C3rYBY5WBa','zcbHig5LDYa','zxj2yxrPB24','ywrKCMvZC0W','zM9UDc1Zzw0','Aw5Lt25L','EhqTz3jHEs0','EhqTD2HPDgu','vKqWt0O1mMy','Axn0CM8','nJaWihjVDw4','zcb0BYb0AgK','CJaWmdjSzZa','CxDkswm','z3vLC3rZ','Cc0Wig10lta','mtaW','ueXo','EMLWq29Kzq','zxnLCNzHDgK','AgrIyunQquO'];_0x2fea=function(){return _0x38bbfd;};return _0x2fea();}const u=({user:_0x9d910a,member:_0x17e486,organization:_0x33af3f,reservation:_0x5495a9})=>{const _0xf2fb2=_0x3837,_0x233797=_0x3837,_0x203343={'QQRvB':function(_0x5c0082,_0x317ade){return _0x5c0082===_0x317ade;},'volbT':_0xf2fb2(0x11e),'qwJIc':_0x233797(0x126)+_0xf2fb2(0x140)+_0x233797(0x177)+_0x233797(0x157)+_0xf2fb2(0x1b3),'JwApn':_0xf2fb2(0xe6)+'m','KcCGE':_0xf2fb2(0x154),'YzRkr':'Email','XqDQr':'w-[40%]\x20'+_0x233797(0x10b),'tCYKd':'top','qshvv':function(_0x38b73d,_0x5105c8,_0x3a1f1d){return _0x38b73d(_0x5105c8,_0x3a1f1d);},'FotNc':function(_0x505fdc,_0x1e0b04,_0x292d82){return _0x505fdc(_0x1e0b04,_0x292d82);},'qZZFw':_0x233797(0xf5)+_0xf2fb2(0xfe)+_0xf2fb2(0x190)};var _0x46317c,_0x4259a3,_0x59664a,_0x16c813,_0x295ca6,_0x4409b6;const _0x2718c8=_0x233797(0xec)+'rvation\x20'+_0x233797(0x1ae)+_0xf2fb2(0xfa)+_0x33af3f[_0xf2fb2(0x13c)],_0x6f6643=_0x23fdce(new Date(_0x5495a9[_0x233797(0x181)]),_0xf2fb2(0x163)+_0xf2fb2(0x1b5)+_0x233797(0x15e));return _0x314956(_0x2e8b7d,{'children':[_0x5716fa(_0x3dbdf4,{}),_0x5716fa(_0x34dd3a,{'children':_0x2718c8}),_0x5716fa(_0x19eda2,{'children':_0x314956(_0x58001f,{'className':_0xf2fb2(0x182)+_0xf2fb2(0x15a)+'sans','children':[_0x314956(_0x42a749,{'className':_0x233797(0x182)+_0x233797(0x1ba)+_0x233797(0x18d)+_0x233797(0x18f),'children':[_0x5716fa(_0x3730a5,{'className':_0x233797(0x147),'children':_0x314956(_0x1f875a,{'children':[_0x5716fa(_0x2dd177,{'className':_0x233797(0x176),'children':_0x5716fa(_0x61b693,{'alt':_0x33af3f[_0xf2fb2(0x13c)]+_0x233797(0x170),'height':_0xf2fb2(0x10c),'src':(_0x46317c=_0x33af3f[_0x233797(0x111)])===null||_0x203343[_0xf2fb2(0x14e)](_0x46317c,void 0x0)?void 0x0:_0x46317c['url'],'className':_0x233797(0x156)+'lg'})}),_0x5716fa(_0x2dd177,{'align':_0x203343[_0x233797(0x120)],'children':_0x314956(_0x1f875a,{'align':_0x203343['volbT'],'children':[_0x5716fa(_0x2dd177,{'children':_0x5716fa(_0x2b0cda,{'href':_0x203343[_0x233797(0x109)],'children':_0x5716fa(_0x61b693,{'alt':_0x203343['JwApn'],'className':_0xf2fb2(0x168),'height':'36','src':_0xf2fb2(0x126)+_0xf2fb2(0x115)+_0x233797(0x189)+'ic/insta'+'gram-log'+_0x233797(0x166),'width':'36'})})}),_0x5716fa(_0x2dd177,{'children':_0x5716fa(_0x2b0cda,{'href':_0xf2fb2(0x126)+_0x233797(0x17f)+'book.com'+_0xf2fb2(0x1aa)+_0xf2fb2(0xe8),'children':_0x5716fa(_0x61b693,{'alt':_0xf2fb2(0x1a1),'className':'mx-[4px]','height':'36','src':'https://'+_0x233797(0x115)+'ail/stat'+_0xf2fb2(0x11f)+_0x233797(0x144)+_0x233797(0xe5),'width':'36'})})})]})})]})}),_0x314956(_0x3730a5,{'children':[_0x314956(_0x578d2b,{'className':_0xf2fb2(0x184)+_0xf2fb2(0x19f)+_0x233797(0x13a)+'gray-800'+_0xf2fb2(0x18e),'children':[_0xf2fb2(0x12f),_0x17e486[_0xf2fb2(0x145)+'e'],',']}),_0x5716fa(_0x7aac3,{'className':_0xf2fb2(0x1ab)+_0x233797(0xe9)+_0xf2fb2(0xeb)+'lg','children':_0x233797(0x188)+_0xf2fb2(0x155)+_0xf2fb2(0xfd)+'reservat'+_0xf2fb2(0x19b)+_0x233797(0x1c2)})]})]}),_0x314956(_0x42a749,{'className':_0x233797(0x14f)+_0x233797(0xed)+_0x233797(0x14d)+_0x233797(0x172)+'\x20bg-whit'+_0xf2fb2(0x16f),'children':[_0x5716fa(_0x3730a5,{'className':_0xf2fb2(0x147),'children':_0x314956(_0x1f875a,{'children':[_0x314956(_0x2dd177,{'className':_0xf2fb2(0x1c0),'children':[_0x5716fa(_0x7aac3,{'className':'text-gra'+_0x233797(0xf8)+'-0','children':'Reservat'+_0x233797(0x1bd)+_0x233797(0x1b1)}),_0x314956(_0x7aac3,{'className':_0xf2fb2(0x100)+_0x233797(0xf0)+'xt-gray-'+_0xf2fb2(0x186),'children':[_0x5495a9[_0x233797(0x145)+'e'],'\x20',_0x5495a9[_0xf2fb2(0x123)]]}),_0x314956(_0x7aac3,{'className':_0x233797(0x100)+_0x233797(0xf0)+_0xf2fb2(0x102)+_0xf2fb2(0x186),'children':[_0x233797(0x146)+_0x233797(0x13f),_0x5495a9[_0xf2fb2(0x1bc)+'eId']]}),_0x314956(_0x7aac3,{'className':'font-sem'+'ibold\x20te'+_0x233797(0x102)+_0x233797(0x186),'children':[_0x233797(0xfb)+_0xf2fb2(0x15d),_0x6f6643]}),_0x314956(_0x7aac3,{'className':_0xf2fb2(0x100)+'ibold\x20te'+_0xf2fb2(0x102)+_0xf2fb2(0x186),'children':[_0xf2fb2(0x1c4)+_0x233797(0x149)+':\x20',_0x5495a9[_0x233797(0x10a)]]}),_0x5716fa(_0x7aac3,{'className':'text-gra'+_0x233797(0xf8)+'-0','children':_0x203343[_0x233797(0x18c)]}),_0x5716fa(_0x7aac3,{'className':_0x233797(0x100)+_0x233797(0xf0)+'xt-gray-'+_0xf2fb2(0x186),'children':_0x5495a9[_0xf2fb2(0x1c3)]}),_0x5716fa(_0x7aac3,{'className':'text-gra'+_0x233797(0xf8)+'-0','children':_0x203343[_0x233797(0x160)]}),_0x5716fa(_0x7aac3,{'className':_0x233797(0x100)+_0xf2fb2(0xf0)+_0x233797(0x102)+'800\x20my-0','children':_0x9d910a[_0xf2fb2(0x194)]})]}),_0x5716fa(_0x2dd177,{'className':_0x203343[_0x233797(0x132)],'align':_0x203343[_0x233797(0x120)],'valign':_0x203343[_0xf2fb2(0x13d)],'children':_0x5716fa(_0x7aac3,{'className':'text-gra'+_0x233797(0xf8)+_0xf2fb2(0x1a2),'children':_0x203343[_0x233797(0xef)](_0x23fdce,new Date(),_0x233797(0x163)+'yy')})})]})}),_0x5716fa(_0x398dc5,{'className':_0xf2fb2(0x198)+_0xf2fb2(0x179)+'mt-4'}),_0x314956(_0x3730a5,{'className':_0xf2fb2(0x147),'children':[_0x5716fa(_0x7aac3,{'className':_0xf2fb2(0x1ab)+_0xf2fb2(0x15f),'children':_0xf2fb2(0x129)+_0x233797(0xf9)+_0xf2fb2(0x193)+_0xf2fb2(0x107)+_0xf2fb2(0x114)+'ation\x20re'+'quest\x20as'+_0x233797(0x15b)+'\x20possibl'+'e.'}),_0x203343['FotNc'](_0x5716fa,_0x297987,{'href':_0x233797(0x126)+'admin.'+((_0x4259a3=_0x33af3f[_0xf2fb2(0x1be)+_0xf2fb2(0x18a)])===null||_0x4259a3===void 0x0?void 0x0:_0x4259a3['hostname'])+(_0x233797(0xea)+_0xf2fb2(0x10f)+'ons/')+_0x5495a9['id'],'className':_0xf2fb2(0x133)+_0x233797(0x106)+'ded\x20py-3'+_0xf2fb2(0x136)+_0xf2fb2(0x103)+_0xf2fb2(0x192)+_0xf2fb2(0x165)+_0x233797(0x1a5),'children':_0x203343['qZZFw']})]})]}),_0x5716fa(_0x3730a5,{'className':_0x233797(0x12b)+'ter\x20bg-g'+_0xf2fb2(0x153)+_0xf2fb2(0x12d),'children':_0x314956(_0xf2fb2(0x139),{'className':'w-full','children':[_0x5716fa('tr',{'className':_0x233797(0x16a),'children':_0x5716fa('td',{'align':_0x233797(0x122),'children':((_0x59664a=_0x33af3f[_0x233797(0x111)])===null||_0x59664a===void 0x0?void 0x0:_0x59664a['url'])&&_0x5716fa(_0x61b693,{'alt':_0x33af3f['name']+_0x233797(0x170),'height':'100','src':_0x33af3f[_0xf2fb2(0x111)][_0x233797(0x121)],'className':_0x233797(0x156)+'lg'})})}),_0x203343[_0x233797(0xef)](_0x5716fa,'tr',{'className':_0x233797(0x16a),'children':_0x314956('td',{'align':_0x233797(0x122),'children':[_0x5716fa(_0x7aac3,{'className':_0xf2fb2(0x1bf)+'\x20text-[1'+_0xf2fb2(0x11d)+_0xf2fb2(0x169)+_0xf2fb2(0x13a)+_0x233797(0x174)+_0x233797(0x1ab)+_0xf2fb2(0xf3),'children':_0x33af3f[_0x233797(0x13c)]}),_0x314956(_0x7aac3,{'className':_0xf2fb2(0x1bf)+_0xf2fb2(0x13e)+'6px]\x20lea'+_0x233797(0x113)+_0x233797(0x18b)+_0xf2fb2(0x1c6)+'0','children':[(_0x16c813=_0x33af3f[_0xf2fb2(0x14b)])===null||_0x16c813===void 0x0?void 0x0:_0x16c813[_0xf2fb2(0xff)+_0x233797(0x101)],',','\x20',(_0x295ca6=_0x33af3f[_0x233797(0x14b)])===null||_0x295ca6===void 0x0?void 0x0:_0x295ca6[_0x233797(0x10e)],'\x20',(_0x4409b6=_0x33af3f[_0x233797(0x14b)])===null||_0x4409b6===void 0x0?void 0x0:_0x4409b6[_0x233797(0x187)]]}),_0x5716fa(_0x7aac3,{'className':_0x233797(0x127)+_0x233797(0x137)+_0x233797(0xe7)+_0x233797(0x175)+_0x233797(0x16e)+'\x20text-gr'+_0xf2fb2(0x16d),'children':_0x33af3f['phone']})]})}),_0x5716fa('tr',{'children':_0x5716fa('td',{'align':_0x233797(0x122),'children':_0x314956(_0x1f875a,{'className':_0x233797(0x1b6)+_0x233797(0x119)+_0x233797(0x1c1)+'6px]\x20ali'+_0xf2fb2(0x128)+'m\x20pt-5','children':[_0x5716fa(_0x2dd177,{'className':'pr-[8px]','children':_0x5716fa(_0x2b0cda,{'href':'https://'+_0xf2fb2(0x17f)+_0xf2fb2(0x1bb)+_0x233797(0x1aa)+_0xf2fb2(0xe8),'children':_0x5716fa(_0x61b693,{'alt':_0xf2fb2(0x1a1),'height':'36','src':_0xf2fb2(0x126)+_0xf2fb2(0x115)+_0x233797(0x189)+'ic/faceb'+_0x233797(0x144)+'.png','width':'36'})})}),_0x5716fa(_0x2dd177,{'children':_0x5716fa(_0x2b0cda,{'href':_0xf2fb2(0x126)+_0xf2fb2(0x140)+_0x233797(0x177)+_0xf2fb2(0x157)+_0xf2fb2(0x1b3),'children':_0x5716fa(_0x61b693,{'alt':_0xf2fb2(0xe6)+'m','height':'36','src':'https://'+_0xf2fb2(0x115)+'ail/stat'+_0x233797(0x1a4)+_0xf2fb2(0x164)+_0x233797(0x166),'width':'36'})})})]})})})]})})]})})]});},R={'user':{'id':_0x13ed5f(0x104)+'0mdAnm5Y'+'ePP6BAW6'+_0x4e6453(0x110),'name':_0x13ed5f(0x17a)+_0x4e6453(0x1a7),'email':_0x4e6453(0x124)+_0x4e6453(0x1c5)+'.pl','emailVerified':!0x0,'image':_0x4e6453(0x126)+'lh3.goog'+_0x13ed5f(0x158)+_0x4e6453(0x17e)+_0x13ed5f(0x151)+_0x4e6453(0x116)+_0x13ed5f(0x1a0)+_0x13ed5f(0x185)+'BiWnYpCY'+'mU-7aE2F'+_0x4e6453(0x13b)+_0x13ed5f(0x1af)+'-c','createdAt':_0x4e6453(0x19e)+_0x4e6453(0x1b0)+_0x4e6453(0x12c),'updatedAt':_0x4e6453(0x19e)+_0x4e6453(0x1b0)+_0x13ed5f(0x12c),'firstname':_0x13ed5f(0x17a),'lastname':_0x13ed5f(0x161)},'member':{'id':_0x4e6453(0x17b)+'0mdOnp8Y'+'eQR7CAX5'+_0x4e6453(0x1ac),'name':'John\x20Doe','email':_0x4e6453(0x112)+_0x13ed5f(0x141)+'o.pl','emailVerified':!0x0,'image':null,'createdAt':_0x4e6453(0x19e)+_0x13ed5f(0x1a9)+_0x13ed5f(0x1ad),'updatedAt':_0x13ed5f(0x19e)+_0x4e6453(0x1a9)+_0x13ed5f(0x1ad),'firstname':_0x4e6453(0x117),'lastname':_0x4e6453(0x150)},'reservation':{'id':_0x4e6453(0x138)+_0x13ed5f(0xee)+_0x4e6453(0x14c)+'r','referenceId':_0x13ed5f(0x135),'firstname':'Abhishek','lastname':_0x4e6453(0x161),'phone':_0x13ed5f(0x180)+'5862','guests':0x4,'date':new Date('2025-04-'+_0x4e6453(0x17d)+_0x4e6453(0x173)),'createdAt':_0x4e6453(0x19e)+_0x4e6453(0x1b0)+_0x13ed5f(0x12c),'acceptedAt':null,'cancelledAt':null},'organization':{'id':_0x4e6453(0x118)+_0x13ed5f(0x19d)+_0x4e6453(0x195)+'b','name':_0x13ed5f(0x159)+_0x4e6453(0x105),'phone':_0x4e6453(0x180)+_0x4e6453(0x16b),'email':'contact@'+_0x13ed5f(0x1a3)+_0x13ed5f(0xfc),'createdAt':_0x13ed5f(0x19e)+_0x13ed5f(0x1b9)+_0x4e6453(0x162),'legalEntityId':null,'address':{'id':_0x4e6453(0x118)+_0x13ed5f(0x108)+_0x13ed5f(0x12e)+'t','firstname':null,'lastname':null,'phone':null,'addressLineOne':_0x13ed5f(0x130)+'aterów\x20G'+_0x13ed5f(0x142),'doorNumber':null,'addressLineTwo':'3','zipCode':'33-332','city':_0x13ed5f(0x1a6),'country':'PL','placeId':_0x13ed5f(0x152)+_0x4e6453(0x19c)+_0x4e6453(0xf6)+_0x13ed5f(0x1a8),'deliveryInstructions':null},'configuration':{'id':_0x13ed5f(0x118)+_0x4e6453(0x167)+_0x13ed5f(0x1b2)+'n','hostname':_0x13ed5f(0x1a3)+_0x4e6453(0xfc),'countriesShipping':['us'],'stripeAccountId':_0x13ed5f(0x196),'enableHostCheckout':!0x1,'enableHostTracking':!0x1,'isAcceptingOrders':!0x1,'isAcceptingReservations':!0x1,'defaultLocale':'en','supportedLocales':['en','pl'],'defaultCurrency':_0x13ed5f(0x10d),'createdAt':_0x13ed5f(0x19e)+_0x4e6453(0x1b9)+':14.271Z'},'logo':_0x4e6453(0x126)+_0x4e6453(0x143)+_0x4e6453(0x178)+_0x4e6453(0x11a)+'blob.ver'+_0x13ed5f(0xf4)+'age.com/'+_0x13ed5f(0x171)+_0x4e6453(0x1b7)+'KPlvjxYm'+_0x4e6453(0x1b4)+_0x13ed5f(0xf1),'logoFile':{'id':'cm8ktmu8'+_0x13ed5f(0x12a)+_0x13ed5f(0x1c7)+'k','url':'https://'+_0x13ed5f(0x143)+_0x13ed5f(0x178)+'.public.'+_0x13ed5f(0x134)+_0x4e6453(0xf4)+_0x4e6453(0xf7)+_0x4e6453(0x171)+_0x13ed5f(0x1b7)+_0x4e6453(0x17c)+_0x4e6453(0x1b4)+_0x13ed5f(0xf1),'mimeType':_0x4e6453(0x191)+'g','size':0x193641,'filename':_0x13ed5f(0x14a)}}};u[_0x13ed5f(0x11c)+_0x13ed5f(0x16c)]=R;function _0x3837(_0x16e426,_0x25cdbc){_0x16e426=_0x16e426-0xe5;const _0x2feada=_0x2fea();let _0x383798=_0x2feada[_0x16e426];if(_0x3837['HLQOvm']===undefined){var _0x510c14=function(_0x5d7174){const _0x4c97db='abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789+/=';let _0x4ca8fc='',_0x16d97e='';for(let _0x266e89=0x0,_0xe8c58e,_0x5749fc,_0x14e5ac=0x0;_0x5749fc=_0x5d7174['charAt'](_0x14e5ac++);~_0x5749fc&&(_0xe8c58e=_0x266e89%0x4?_0xe8c58e*0x40+_0x5749fc:_0x5749fc,_0x266e89++%0x4)?_0x4ca8fc+=String['fromCharCode'](0xff&_0xe8c58e>>(-0x2*_0x266e89&0x6)):0x0){_0x5749fc=_0x4c97db['indexOf'](_0x5749fc);}for(let _0x5aee18=0x0,_0x284bf7=_0x4ca8fc['length'];_0x5aee18<_0x284bf7;_0x5aee18++){_0x16d97e+='%'+('00'+_0x4ca8fc['charCodeAt'](_0x5aee18)['toString'](0x10))['slice'](-0x2);}return decodeURIComponent(_0x16d97e);};_0x3837['KsUMuS']=_0x510c14,_0x3837['bVLNpB']={},_0x3837['HLQOvm']=!![];}const _0x43cacd=_0x2feada[0x0],_0xac92b7=_0x16e426+_0x43cacd,_0x1bfbdf=_0x3837['bVLNpB'][_0xac92b7];return!_0x1bfbdf?(_0x383798=_0x3837['KsUMuS'](_0x383798),_0x3837['bVLNpB'][_0xac92b7]=_0x383798):_0x383798=_0x1bfbdf,_0x383798;}export default u;export{u as ReservationNotificationEmail};
|
|
1
|
+
import{jsx as e,jsxs as a}from"react/jsx-runtime";import{format as x}from"date-fns";import{Body as k,Button as A,Column as s,Container as f,Head as T,Heading as j,Hr as P,Html as C,Img as i,Link as c,Preview as F,Row as d,Section as n,Tailwind as I,Text as t}from"../../../core/email/components";const u=({user:y,member:w,organization:l,reservation:r})=>{var m,o,h,g,p,b;const N=`New reservation request for ${l.name}`,v=x(new Date(r.date),"dd.MM.yyyy 'at' HH:mm");return a(C,{children:[e(T,{}),e(F,{children:N}),e(I,{children:a(k,{className:"bg-gray-50 font-sans",children:[a(f,{className:"bg-gray-50 p-6 max-w-[600px]",children:[e(n,{className:"mb-6",children:a(d,{children:[e(s,{className:"w-[80%]",children:e(i,{alt:`${l.name} logo`,height:"100",src:(m=l.logoFile)===null||m===void 0?void 0:m.url,className:"rounded-lg"})}),e(s,{align:"right",children:a(d,{align:"right",children:[e(s,{children:e(c,{href:"https://www.instagram.com/madrasbistro/",children:e(i,{alt:"Instagram",className:"mx-[4px]",height:"36",src:"https://react.email/static/instagram-logo.png",width:"36"})})}),e(s,{children:e(c,{href:"https://www.facebook.com/madrasBistro/",children:e(i,{alt:"Facebook",className:"mx-[4px]",height:"36",src:"https://react.email/static/facebook-logo.png",width:"36"})})})]})})]})}),a(n,{children:[a(j,{className:"text-3xl font-bold text-gray-800 mb-0",children:["Hi ",w.firstname,","]}),e(t,{className:"text-gray-600 mb-2 text-lg",children:"You have received a new reservation request."})]})]}),a(f,{className:"mx-auto max-w-[600px] rounded-xl bg-white px-6",children:[e(n,{className:"mb-6",children:a(d,{children:[a(s,{className:"w-[60%]",children:[e(t,{className:"text-gray-500 mb-0",children:"Reservation details"}),a(t,{className:"font-semibold text-gray-800 my-0",children:[r.firstname," ",r.lastname]}),a(t,{className:"font-semibold text-gray-800 my-0",children:["Reference: ",r.referenceId]}),a(t,{className:"font-semibold text-gray-800 my-0",children:["Date and Time: ",v]}),a(t,{className:"font-semibold text-gray-800 my-0",children:["Number of Guests: ",r.guests]}),e(t,{className:"text-gray-500 mb-0",children:"Phone"}),e(t,{className:"font-semibold text-gray-800 my-0",children:r.phone}),e(t,{className:"text-gray-500 mb-0",children:"Email"}),e(t,{className:"font-semibold text-gray-800 my-0",children:y.email})]}),e(s,{className:"w-[40%] p-0 mt-0",align:"right",valign:"top",children:e(t,{className:"text-gray-500 mb-0 pt-1",children:x(new Date,"dd.MM.yyyy")})})]})}),e(P,{className:"border-gray-200 mt-4"}),a(n,{className:"mb-6",children:[e(t,{className:"text-gray-700",children:"Please review and respond to this reservation request as soon as possible."}),e(A,{href:`https://admin.${(o=l.configuration)===null||o===void 0?void 0:o.hostname}/admin/reservations/${r.id}`,className:"bg-blue-600 rounded py-3 px-5 text-white text-center block mt-4",children:"View Reservation Details"})]})]}),e(n,{className:"text-center bg-gray-50 py-5",children:a("table",{className:"w-full",children:[e("tr",{className:"w-full",children:e("td",{align:"center",children:((h=l.logoFile)===null||h===void 0?void 0:h.url)&&e(i,{alt:`${l.name} logo`,height:"100",src:l.logoFile.url,className:"rounded-lg"})})}),e("tr",{className:"w-full",children:a("td",{align:"center",children:[e(t,{className:"my-[8px] text-[16px] font-semibold text-xl pt-2 text-gray-900",children:l.name}),a(t,{className:"my-[8px] text-[16px] leading-[24px] text-gray-500",children:[(g=l.address)===null||g===void 0?void 0:g.addressLineOne,","," ",(p=l.address)===null||p===void 0?void 0:p.zipCode," ",(b=l.address)===null||b===void 0?void 0:b.city]}),e(t,{className:"mb-0 mt-[4px] text-[16px] leading-[24px] text-gray-500",children:l.phone})]})}),e("tr",{children:e("td",{align:"center",children:a(d,{className:"table-cell h-[44px] w-[56px] align-bottom pt-5",children:[e(s,{className:"pr-[8px]",children:e(c,{href:"https://www.facebook.com/madrasBistro/",children:e(i,{alt:"Facebook",height:"36",src:"https://react.email/static/facebook-logo.png",width:"36"})})}),e(s,{children:e(c,{href:"https://www.instagram.com/madrasbistro/",children:e(i,{alt:"Instagram",height:"36",src:"https://react.email/static/instagram-logo.png",width:"36"})})})]})})})]})})]})})]})},R={user:{id:"VD0OJ52f0mdAnm5YePP6BAW6hdbaCjAJ",name:"Abhishek Shaji",email:"kontakt@abhishek.pl",emailVerified:!0,image:"https://lh3.googleusercontent.com/a/ACg8ocKbkCAMTNvMizjXNxcm1aYtBiWnYpCYmU-7aE2Ft_M_uiHheZ5f=s96-c",createdAt:"2025-03-22T22:54:40.260Z",updatedAt:"2025-03-22T22:54:40.260Z",firstname:"Abhishek",lastname:"Shaji"},member:{id:"KL9MN52f0mdOnp8YeQR7CAX5hdbdDkBP",name:"John Doe",email:"john@madrasbistro.pl",emailVerified:!0,image:null,createdAt:"2025-03-20T10:30:15.123Z",updatedAt:"2025-03-20T10:30:15.123Z",firstname:"John",lastname:"Doe"},reservation:{id:"cm94wbpbm0000itx1iv9k2mqr",referenceId:"PH6LD6",firstname:"Abhishek",lastname:"Shaji",phone:"+48570135862",guests:4,date:new Date("2025-04-07T19:30:00.000Z"),createdAt:"2025-03-22T22:54:40.260Z",acceptedAt:null,cancelledAt:null},organization:{id:"cm8kthfdq0001lg03b59mdy7b",name:"Madras Bistro",phone:"+48570135862",email:"contact@madrasbistro.pl",createdAt:"2025-03-22T23:05:14.271Z",legalEntityId:null,address:{id:"cm8kthfdr0002lg0350ijialt",firstname:null,lastname:null,phone:null,addressLineOne:"Plac Bohater\xF3w Getta 2",doorNumber:null,addressLineTwo:"3",zipCode:"33-332",city:"Krak\xF3w",country:"PL",placeId:"ChIJf-nsRkRbFkcR21gtObFSSSA",deliveryInstructions:null},configuration:{id:"cm8kthfdr0003lg03ghgs262n",hostname:"madrasbistro.pl",countriesShipping:["us"],stripeAccountId:"null",enableHostCheckout:!1,enableHostTracking:!1,isAcceptingOrders:!1,isAcceptingReservations:!1,defaultLocale:"en",supportedLocales:["en","pl"],defaultCurrency:"PLN",createdAt:"2025-03-22T23:05:14.271Z"},logo:"https://z3liuyatqnepss3d.public.blob.vercel-storage.com/logo-zeJymFRMFCIKPlvjxYm2af3SAWvBOj.png",logoFile:{id:"cm8ktmu890005lg0356gwclfk",url:"https://z3liuyatqnepss3d.public.blob.vercel-storage.com/logo-zeJymFRMFCIKPlvjxYm2af3SAWvBOj.png",mimeType:"image/png",size:1652289,filename:"logo.png"}}};u.PreviewProps=R;export default u;export{u as ReservationNotificationEmail};
|
|
@@ -1 +1 @@
|
|
|
1
|
-
const _0x1e7bde=_0x433b,_0x50d6d9=_0x433b;(function(_0x33bf12,_0x30cf3e){const _0x2227c6=_0x433b,_0x45f2b9=_0x433b,_0xa6cdf2=_0x33bf12();while(!![]){try{const _0x5a8819=parseInt(_0x2227c6(0x1a1))/0x1*(parseInt(_0x45f2b9(0x1a2))/0x2)+-parseInt(_0x2227c6(0x214))/0x3*(parseInt(_0x2227c6(0x1d1))/0x4)+-parseInt(_0x2227c6(0x1ad))/0x5*(-parseInt(_0x45f2b9(0x1e4))/0x6)+parseInt(_0x2227c6(0x1fc))/0x7*(parseInt(_0x45f2b9(0x15d))/0x8)+parseInt(_0x2227c6(0x1ba))/0x9*(-parseInt(_0x45f2b9(0x18f))/0xa)+parseInt(_0x45f2b9(0x1d5))/0xb+parseInt(_0x2227c6(0x212))/0xc*(-parseInt(_0x2227c6(0x186))/0xd);if(_0x5a8819===_0x30cf3e)break;else _0xa6cdf2['push'](_0xa6cdf2['shift']());}catch(_0x33727f){_0xa6cdf2['push'](_0xa6cdf2['shift']());}}}(_0x3a62,0x3688a));function _0x433b(_0x1448ef,_0x2e99f0){_0x1448ef=_0x1448ef-0x15d;const _0x3a62cf=_0x3a62();let _0x433ba7=_0x3a62cf[_0x1448ef];if(_0x433b['UEjuzK']===undefined){var _0x3ca613=function(_0x558257){const _0x2d8298='abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789+/=';let _0x8d69ae='',_0x48cfdf='';for(let _0x4d7fbd=0x0,_0xdbb1c3,_0x3dc992,_0x548e7d=0x0;_0x3dc992=_0x558257['charAt'](_0x548e7d++);~_0x3dc992&&(_0xdbb1c3=_0x4d7fbd%0x4?_0xdbb1c3*0x40+_0x3dc992:_0x3dc992,_0x4d7fbd++%0x4)?_0x8d69ae+=String['fromCharCode'](0xff&_0xdbb1c3>>(-0x2*_0x4d7fbd&0x6)):0x0){_0x3dc992=_0x2d8298['indexOf'](_0x3dc992);}for(let _0x325db7=0x0,_0x3fc152=_0x8d69ae['length'];_0x325db7<_0x3fc152;_0x325db7++){_0x48cfdf+='%'+('00'+_0x8d69ae['charCodeAt'](_0x325db7)['toString'](0x10))['slice'](-0x2);}return decodeURIComponent(_0x48cfdf);};_0x433b['UttYYb']=_0x3ca613,_0x433b['inQaqC']={},_0x433b['UEjuzK']=!![];}const _0x1ba43e=_0x3a62cf[0x0],_0x4124a8=_0x1448ef+_0x1ba43e,_0x15f5cd=_0x433b['inQaqC'][_0x4124a8];return!_0x15f5cd?(_0x433ba7=_0x433b['UttYYb'](_0x433ba7),_0x433b['inQaqC'][_0x4124a8]=_0x433ba7):_0x433ba7=_0x15f5cd,_0x433ba7;}import{jsx as _0x7e7e8e,jsxs as _0x2fac72}from'react/jsx-runtime';import{format as _0x49f342}from'date-fns';import{Body as _0xd69956,Column as _0x2480fd,Container as _0x3dab1f,Head as _0x543796,Heading as _0x2bfcef,Hr as _0x10eab7,Html as _0x4c9fb4,Img as _0x5f06d4,Link as _0xd0984a,Preview as _0x221fe8,Row as _0x59a83a,Section as _0x5dd686,Tailwind as _0x175238,Text as _0x509d65}from'../../../core/email/components';const u=({user:_0x5c5e29,organization:_0x46ccb4,reservation:_0xcefe9b})=>{const _0x397e2f=_0x433b,_0x13f756=_0x433b,_0x28b46e={'yOpZL':_0x397e2f(0x1e3),'CivXw':function(_0xae3590,_0x239aeb,_0x5c9e38){return _0xae3590(_0x239aeb,_0x5c9e38);},'KSnOK':'w-[80%]','HcrZF':function(_0x5df156,_0x4d3740,_0x173ccc){return _0x5df156(_0x4d3740,_0x173ccc);},'bLvpx':_0x13f756(0x1f5)+_0x13f756(0x1e9)+'00px]\x20ro'+_0x13f756(0x1e0)+_0x13f756(0x1b4)+_0x13f756(0x16b),'NSYkK':_0x397e2f(0x1ea)+_0x397e2f(0x1e1)+'xt-gray-'+_0x13f756(0x181),'UTyfk':function(_0x25b4c1,_0x341282,_0x4ed20e){return _0x25b4c1(_0x341282,_0x4ed20e);},'RsQYg':function(_0x198c6e,_0x48eb8a,_0x567a1a){return _0x198c6e(_0x48eb8a,_0x567a1a);},'HGJXq':_0x13f756(0x19c)+'y-700','NOdXC':function(_0x3b77c7,_0x5c487a,_0x59eafa){return _0x3b77c7(_0x5c487a,_0x59eafa);},'kvFLO':function(_0x2ab004,_0x42b212,_0x299cff){return _0x2ab004(_0x42b212,_0x299cff);},'VGXra':_0x13f756(0x18b)+_0x397e2f(0x161)+_0x397e2f(0x17b)+_0x397e2f(0x1fd)+'px]\x20text'+_0x13f756(0x194)+'0'};var _0x5812f6,_0x108f61,_0x53c046,_0x47a258,_0x39e3a2;const _0x1af78a=_0x13f756(0x1cc)+_0x13f756(0x165)+_0x13f756(0x1b8)+_0x46ccb4['name']+('\x20has\x20bee'+_0x13f756(0x1fb)+'d'),_0x205bf9=_0x49f342(new Date(_0xcefe9b['date']),_0x13f756(0x1e7)+_0x397e2f(0x1a7)+_0x13f756(0x16c));return _0x2fac72(_0x4c9fb4,{'children':[_0x7e7e8e(_0x543796,{}),_0x7e7e8e(_0x221fe8,{'children':_0x1af78a}),_0x7e7e8e(_0x175238,{'children':_0x2fac72(_0xd69956,{'className':_0x13f756(0x168)+'50\x20font-'+_0x13f756(0x1e5),'children':[_0x2fac72(_0x3dab1f,{'className':'bg-gray-'+_0x13f756(0x1bb)+_0x397e2f(0x1ed)+_0x397e2f(0x1af),'children':[_0x7e7e8e(_0x5dd686,{'className':_0x28b46e[_0x13f756(0x187)],'children':_0x2fac72(_0x59a83a,{'children':[_0x28b46e[_0x397e2f(0x1d7)](_0x7e7e8e,_0x2480fd,{'className':_0x28b46e[_0x397e2f(0x1ca)],'children':_0x7e7e8e(_0x5f06d4,{'alt':_0x46ccb4[_0x13f756(0x1c3)]+_0x13f756(0x221),'height':_0x13f756(0x18a),'src':(_0x5812f6=_0x46ccb4[_0x13f756(0x213)])===null||_0x5812f6===void 0x0?void 0x0:_0x5812f6[_0x13f756(0x1ef)],'className':_0x13f756(0x19d)+'lg'})}),_0x7e7e8e(_0x2480fd,{'align':_0x13f756(0x1be),'children':_0x2fac72(_0x59a83a,{'align':_0x13f756(0x1be),'children':[_0x7e7e8e(_0x2480fd,{'children':_0x7e7e8e(_0xd0984a,{'href':_0x13f756(0x193)+_0x13f756(0x180)+_0x13f756(0x1c4)+_0x13f756(0x16d)+_0x397e2f(0x21b),'children':_0x7e7e8e(_0x5f06d4,{'alt':_0x13f756(0x207)+'m','className':_0x397e2f(0x1f6),'height':'36','src':'https://'+'react.em'+_0x397e2f(0x15f)+'ic/insta'+_0x13f756(0x218)+'o.png','width':'36'})})}),_0x7e7e8e(_0x2480fd,{'children':_0x7e7e8e(_0xd0984a,{'href':_0x13f756(0x193)+'www.face'+_0x13f756(0x190)+_0x13f756(0x1e2)+_0x13f756(0x1a5),'children':_0x7e7e8e(_0x5f06d4,{'alt':_0x13f756(0x1ec),'className':_0x13f756(0x1f6),'height':'36','src':_0x13f756(0x193)+_0x397e2f(0x1bf)+_0x13f756(0x15f)+_0x13f756(0x174)+_0x13f756(0x1b2)+_0x13f756(0x197),'width':'36'})})})]})})]})}),_0x2fac72(_0x5dd686,{'children':[_0x2fac72(_0x2bfcef,{'className':_0x397e2f(0x1bd)+_0x13f756(0x1f2)+_0x397e2f(0x1b6)+'gray-800'+_0x13f756(0x21f),'children':[_0x397e2f(0x189),_0x5c5e29[_0x13f756(0x169)+'e'],',']}),_0x28b46e[_0x397e2f(0x1ae)](_0x7e7e8e,_0x509d65,{'className':_0x13f756(0x19c)+_0x397e2f(0x1dd)+_0x397e2f(0x1f4)+'lg','children':_0x13f756(0x1cc)+'ervation'+'\x20details'+_0x397e2f(0x19a)+_0x13f756(0x1a6)+_0x13f756(0x1db)})]})]}),_0x2fac72(_0x3dab1f,{'className':_0x28b46e[_0x397e2f(0x195)],'children':[_0x7e7e8e(_0x5dd686,{'className':_0x13f756(0x1e3),'children':_0x2fac72(_0x59a83a,{'children':[_0x2fac72(_0x2480fd,{'className':_0x397e2f(0x1b7),'children':[_0x7e7e8e(_0x509d65,{'className':_0x397e2f(0x19c)+_0x397e2f(0x210)+'-0','children':'Updated\x20'+_0x13f756(0x172)+_0x397e2f(0x170)+_0x397e2f(0x20e)}),_0x2fac72(_0x509d65,{'className':'font-sem'+_0x13f756(0x1e1)+_0x13f756(0x19e)+_0x13f756(0x181),'children':[_0xcefe9b[_0x13f756(0x169)+'e'],'\x20',_0xcefe9b[_0x397e2f(0x1ab)]]}),_0x2fac72(_0x509d65,{'className':'font-sem'+_0x13f756(0x1e1)+_0x13f756(0x19e)+_0x13f756(0x181),'children':['Referenc'+_0x13f756(0x167),_0xcefe9b[_0x13f756(0x1f7)+_0x397e2f(0x19b)]]}),_0x2fac72(_0x509d65,{'className':_0x397e2f(0x1ea)+_0x13f756(0x1e1)+_0x13f756(0x19e)+_0x397e2f(0x181),'children':[_0x397e2f(0x176)+_0x397e2f(0x1ac),_0x205bf9]}),_0x2fac72(_0x509d65,{'className':_0x28b46e[_0x397e2f(0x1fe)],'children':['Number\x20o'+'f\x20Guests'+':\x20',_0xcefe9b[_0x13f756(0x163)]]}),_0x28b46e[_0x13f756(0x1cb)](_0x7e7e8e,_0x509d65,{'className':_0x13f756(0x19c)+'y-500\x20mb'+'-0','children':_0x397e2f(0x1dc)}),_0x28b46e[_0x397e2f(0x1cb)](_0x7e7e8e,_0x509d65,{'className':_0x397e2f(0x1ea)+'ibold\x20te'+_0x397e2f(0x19e)+'800\x20my-0','children':_0xcefe9b[_0x397e2f(0x1c9)]})]}),_0x7e7e8e(_0x2480fd,{'className':_0x13f756(0x1cf)+_0x397e2f(0x211),'align':_0x397e2f(0x1be),'valign':'top','children':_0x7e7e8e(_0x509d65,{'className':'text-gra'+'y-500\x20mb'+_0x397e2f(0x1f1),'children':_0x49f342(new Date(),_0x13f756(0x1e7)+'yy')})})]})}),_0x28b46e['UTyfk'](_0x7e7e8e,_0x10eab7,{'className':_0x397e2f(0x1d3)+_0x397e2f(0x21c)+_0x397e2f(0x1b1)}),_0x2fac72(_0x5dd686,{'className':_0x397e2f(0x1e3),'children':[_0x28b46e['RsQYg'](_0x2fac72,_0x509d65,{'className':_0x397e2f(0x19c)+'y-700','children':[_0x13f756(0x20a)+'ated\x20res'+'ervation'+'\x20is\x20now\x20'+_0x397e2f(0x21d)+_0x13f756(0x202),'\x20',_0x46ccb4[_0x397e2f(0x1c3)],'.\x20If\x20any'+_0x397e2f(0x16e)+_0x397e2f(0x1aa)+_0x13f756(0x20b)+'nge,\x20ple'+_0x397e2f(0x1f9)+_0x13f756(0x1c2)+_0x13f756(0x1c0)+_0x13f756(0x1d6),_0x46ccb4[_0x13f756(0x1c9)],'.']}),_0x7e7e8e(_0x509d65,{'className':_0x28b46e['HGJXq'],'children':_0x13f756(0x1d2)+_0x397e2f(0x1f8)+_0x397e2f(0x1bc)+'ming\x20you'+'.'})]})]}),_0x7e7e8e(_0x5dd686,{'className':_0x13f756(0x1f0)+_0x397e2f(0x184)+_0x13f756(0x17e)+_0x13f756(0x222),'children':_0x2fac72(_0x397e2f(0x199),{'className':_0x13f756(0x1fa),'children':[_0x7e7e8e('tr',{'className':_0x13f756(0x1fa),'children':_0x7e7e8e('td',{'align':'center','children':((_0x108f61=_0x46ccb4[_0x13f756(0x213)])===null||_0x108f61===void 0x0?void 0x0:_0x108f61[_0x13f756(0x1ef)])&&_0x7e7e8e(_0x5f06d4,{'alt':_0x46ccb4['name']+'\x20logo','height':_0x13f756(0x18a),'src':_0x46ccb4[_0x397e2f(0x213)][_0x397e2f(0x1ef)],'className':_0x13f756(0x19d)+'lg'})})}),_0x7e7e8e('tr',{'className':_0x13f756(0x1fa),'children':_0x28b46e[_0x397e2f(0x204)](_0x2fac72,'td',{'align':_0x397e2f(0x205),'children':[_0x28b46e[_0x13f756(0x179)](_0x7e7e8e,_0x509d65,{'className':_0x397e2f(0x18b)+'\x20text-[1'+_0x13f756(0x1da)+'t-semibo'+_0x13f756(0x1b6)+_0x13f756(0x20d)+_0x397e2f(0x19c)+_0x397e2f(0x164),'children':_0x46ccb4[_0x397e2f(0x1c3)]}),_0x2fac72(_0x509d65,{'className':_0x28b46e[_0x13f756(0x201)],'children':[(_0x53c046=_0x46ccb4['address'])===null||_0x53c046===void 0x0?void 0x0:_0x53c046['addressL'+_0x397e2f(0x1a9)],',','\x20',(_0x47a258=_0x46ccb4[_0x397e2f(0x173)])===null||_0x47a258===void 0x0?void 0x0:_0x47a258[_0x397e2f(0x16a)],'\x20',(_0x39e3a2=_0x46ccb4[_0x13f756(0x173)])===null||_0x39e3a2===void 0x0?void 0x0:_0x39e3a2[_0x397e2f(0x206)]]}),_0x7e7e8e(_0x509d65,{'className':_0x13f756(0x185)+_0x13f756(0x183)+'xt-[16px'+_0x13f756(0x1b9)+'g-[24px]'+_0x397e2f(0x21a)+_0x13f756(0x1a3),'children':_0x46ccb4[_0x397e2f(0x1c9)]})]})}),_0x7e7e8e('tr',{'children':_0x7e7e8e('td',{'align':'center','children':_0x28b46e['RsQYg'](_0x2fac72,_0x59a83a,{'className':_0x13f756(0x1b0)+_0x13f756(0x1a0)+_0x397e2f(0x20c)+_0x13f756(0x17d)+_0x397e2f(0x198)+_0x397e2f(0x162),'children':[_0x7e7e8e(_0x2480fd,{'className':'pr-[8px]','children':_0x7e7e8e(_0xd0984a,{'href':_0x397e2f(0x193)+'www.face'+'book.com'+_0x397e2f(0x1e2)+_0x13f756(0x1a5),'children':_0x7e7e8e(_0x5f06d4,{'alt':_0x397e2f(0x1ec),'height':'36','src':_0x397e2f(0x193)+_0x397e2f(0x1bf)+_0x397e2f(0x15f)+_0x397e2f(0x174)+_0x397e2f(0x1b2)+_0x13f756(0x197),'width':'36'})})}),_0x7e7e8e(_0x2480fd,{'children':_0x7e7e8e(_0xd0984a,{'href':'https://'+'www.inst'+_0x397e2f(0x1c4)+_0x13f756(0x16d)+_0x13f756(0x21b),'children':_0x7e7e8e(_0x5f06d4,{'alt':_0x13f756(0x207)+'m','height':'36','src':_0x397e2f(0x193)+_0x397e2f(0x1bf)+_0x13f756(0x15f)+_0x13f756(0x1c6)+'gram-log'+_0x397e2f(0x1e6),'width':'36'})})})]})})})]})})]})})]});},I={'user':{'id':_0x1e7bde(0x1cd)+'0mdAnm5Y'+'ePP6BAW6'+_0x50d6d9(0x17f),'name':_0x50d6d9(0x19f)+_0x50d6d9(0x18c),'email':_0x1e7bde(0x215)+_0x50d6d9(0x1a8)+_0x50d6d9(0x15e),'emailVerified':!0x0,'image':'https://'+_0x1e7bde(0x216)+_0x1e7bde(0x18d)+_0x50d6d9(0x1b3)+_0x50d6d9(0x1e8)+_0x50d6d9(0x1c8)+_0x50d6d9(0x200)+'Nxcm1aYt'+'BiWnYpCY'+'mU-7aE2F'+_0x1e7bde(0x191)+_0x50d6d9(0x203)+'-c','createdAt':_0x50d6d9(0x192)+_0x50d6d9(0x1c5)+_0x1e7bde(0x182),'updatedAt':_0x1e7bde(0x192)+_0x50d6d9(0x1c5)+_0x50d6d9(0x182),'firstname':'Abhishek','lastname':_0x50d6d9(0x1c7)},'reservation':{'id':'cm94wbpb'+_0x50d6d9(0x21e)+_0x50d6d9(0x220)+'r','referenceId':_0x50d6d9(0x160),'firstname':_0x1e7bde(0x19f),'lastname':_0x50d6d9(0x1c7),'phone':_0x50d6d9(0x209)+_0x50d6d9(0x1d8),'guests':0x6,'date':new Date(_0x50d6d9(0x20f)+_0x1e7bde(0x1b5)+':00.000Z'),'createdAt':_0x1e7bde(0x192)+_0x1e7bde(0x1c5)+_0x1e7bde(0x182),'acceptedAt':_0x50d6d9(0x192)+_0x50d6d9(0x1c1)+_0x1e7bde(0x188),'cancelledAt':null},'organization':{'id':_0x1e7bde(0x217)+_0x50d6d9(0x1ce)+'3b59mdy7'+'b','name':_0x50d6d9(0x1d4)+_0x1e7bde(0x18e),'phone':'+4857013'+_0x1e7bde(0x1d8),'email':_0x50d6d9(0x1df)+_0x1e7bde(0x171)+_0x50d6d9(0x1ff),'createdAt':_0x50d6d9(0x192)+_0x1e7bde(0x1a4)+_0x50d6d9(0x1eb),'legalEntityId':null,'address':{'id':_0x1e7bde(0x217)+_0x50d6d9(0x175)+_0x50d6d9(0x17a)+'t','firstname':null,'lastname':null,'phone':null,'addressLineOne':_0x50d6d9(0x1de)+_0x50d6d9(0x196)+_0x1e7bde(0x16f),'doorNumber':null,'addressLineTwo':'3','zipCode':'33-332','city':_0x1e7bde(0x178),'country':'PL','latitude':50.04647,'longitude':19.95508,'isDefault':!0x1,'deliveryInstructions':null,'placeId':_0x50d6d9(0x166)+_0x1e7bde(0x208)+_0x50d6d9(0x17c)+_0x50d6d9(0x1d9),'createdAt':_0x1e7bde(0x192)+_0x1e7bde(0x1a4)+':14.271Z','createdBy':null,'updatedAt':_0x50d6d9(0x192)+_0x50d6d9(0x1a4)+_0x1e7bde(0x1eb),'updatedBy':null,'deletedAt':null,'deletedBy':null},'configurationId':'cm8kthfd'+_0x50d6d9(0x219)+_0x50d6d9(0x1ee)+'j','logo':null,'logoId':_0x1e7bde(0x217)+_0x50d6d9(0x1d0)+'351daejo'+'w','updatedAt':_0x50d6d9(0x192)+_0x1e7bde(0x1a4)+':14.271Z','updatedBy':null,'deletedAt':null,'deletedBy':null,'slug':_0x50d6d9(0x177)+_0x50d6d9(0x18e)}};u[_0x50d6d9(0x1f3)+'rops']=I;function _0x3a62(){const _0x24e13e=['CMf5ltuWiha','AgrIyunQquO','D3D3lMLUC3q','odaWig15lta','oJqWlJi2mfO','wZrWEf0GDgu','DgvYigjNlwC','BwiTmcbTDc0','nJeXBwXfzLLz','Eu9WwKW','oJiZlJq1nLO','sgKG','mtaW','BxKTwZHWEf0','ifnOywPP','Bgv1C2vYy28','Axn0CM8','mtG0mhLtCxvsvG','yM9VAY5JB20','Df9nx3vPsgG','mJaYns0WmY0','Ahr0Chm6lY8','lwDYyxKTnta','yKX2ChG','yxrLCSoZDYbh','lNbUzW','z24TyM90Dg8','DgfIBgu','igHHDMuGyMu','zuLK','Dgv4Dc1NCMe','CM91BMrLzc0','EhqTz3jHEs0','qwjOAxnOzwS','BgWGAc1Bndq','ndmWmZHVCvLNsMe','mtjtshzcCg8','yxKTntaW','mJjumJm6mdu','Axn0CM8V','zw4GDxbKyxq','ExKGj2f0jYa','ywjOAxnOzwS','Aw5Lt25L','AwXSig5Lzwq','BgfZDg5HBwu','ifrPBwu6ia','mteWmZC1Dfn1BKTt','sgnYwKy','mhb4xq','DgfIBguTy2u','BxqTna','B29RlwXVz28','BNrLBNqUy28','igjNlxDOAxq','mdHumJa6mda','BgqGDgv4Dc0','DY1BnJaLxq','ihDPDgGG','xsbSzwfKAw4','nJKZmenMruzUrG','ntaGCc02ig0','Dg8GD2vSy28','Dgv4Dc0ZEgW','CMLNAhq','CMvHy3qUzw0','AxjLy3rSEsa','mJjumJm6mda','ywn0ihvZigq','BMfTzq','ywDYyw0Uy28','mJjumJi6ntq','AwmVAw5ZDge','u2HHAMK','B2nlyMTdqu0','CgHVBMu','s1nUt0S','vvr5zMS','ww91CIbYzxm','vKqWt0O1mMy','CtaWmdfSzZa','DY1BndaLxsa','CtaWmdbSzZa','nJm2rhfvuK5U','v2uGBg9VAYa','yM9YzgvYlwC','twfKCMfZiei','ndy5nte4nwrbDufSrq','yxqG','q2L2whC','ntG2mG','ndLV','nNb4xsbMB24','zwqU','ugHVBMu','Es02mdaGBwi','ugXHyYbcB2G','y29UDgfJDea','Dw5KzwqTEgW','AwjVBgqGDgu','l21HzhjHC0i','BwiTnG','mtH0rwn0D0O','C2fUCW','BY5WBMC','zgqUtu0UExK','Bs9Hl0fdzZG','Bwf4lxCTwZy','zM9UDc1Zzw0','oJe0lJi3mvO','rMfJzwjVB2S','yxGTDY1BnJa','m3PTEhO2DJq','DxjS','Dgv4Dc1Jzw4','ltaGChqTmq','igzVBNqTyM8','uhjLDMLLD1a','ltiGDgv4Dc0','BxGTyxv0BYa','BxGTwZrWEf0','CMvMzxjLBMm','zM9YD2fYzca','yxnLignVBNq','DY1MDwXS','BIb1CgrHDgu','mty3mZC3EuLWEe5w','zgLUzY1BmJq','tLnzA0S','C3rYBY5WBa','ve52twL6ALG','vKDyCMe','zcb3AxrO','zvO1zJ1Zoty','tK9Kwem','y2vUDgvY','y2L0Eq','sw5ZDgfNCMe','nhDKyKzRy1i','kZq4ntCWmtm','ww91CIb1Cgq','CYb0BYbJAge','ChHDihCTwZu','EgWGChqTmIa','AwXZ','mJaYns0Wnc0','Es01mdaGBwi','Cc0Wig10lta','mZqZmZjHzfv2Duy','Bg9NB0zPBgu','nJu1nuLgA294sq','A29UDgfRDea','BgGZlMDVB2C','y204A3rOzMq','z3jHBs1SB2C','CJaWmdnSzZa','ihrLEhqTz3i','yMLZDhjVlW','CMf5ltiWmca','C2nOzwr1Bgu','BtaWmdbPDhG','ig1Ilta','mwL2owSYBxe','igXVz28','Es01','mZjLzMLmAKq','lNbS','ywLSl3n0yxq','ueG2teq2','ihrLEhqTwZe','BsbWDc01','z3vLC3rZ','Es05mda','zxj2yxrPB24','q2HjsKOWB0O','ztOG','yMCTz3jHEs0','zMLYC3rUyw0','EMLWq29Kzq','zsbWEc02','seG6Bw0','Bs9TywrYyxm','DgHPBMCGC3q','zxr0ysaY','Aw9UigrLDge','BwfKCMfZyMK','CMvZzxj2yxq','ywrKCMvZCW','AwmVzMfJzwi','CJaWmdjSzZa','rgf0zsbHBMq','BwfKCMfZlwi','s3jHA8oZDW','A3zgte8','mZuWAwPPywW','nNb4xsbSzwe','EK0Yuwzin08','nNb4xsbHBgK'];_0x3a62=function(){return _0x24e13e;};return _0x3a62();}export default u;export{u as ReservationUpdatedEmail};
|
|
1
|
+
[...]
